/* Generated By:JavaCC: Do not edit this line. XWikiScannerTokenManager.java */
/*******************************************************************************
 * Copyright (c) 2005,2007 Cognium Systems SA and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Apache License, Version 2.0
 * which accompanies this distribution, and is available at
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Contributors:
 *     Cognium Systems SA - initial API and implementation
 *******************************************************************************/
package org.wikimodel.wem.xwiki.xwiki21.javacc;
import org.wikimodel.wem.IWikiReferenceParser;
import org.wikimodel.wem.WikiParameters;
import org.wikimodel.wem.WikiReference;
import org.wikimodel.wem.WikiStyle;
import org.wikimodel.wem.impl.IWikiScannerContext;
import org.wikimodel.wem.impl.WikiScannerUtil;
import org.wikimodel.wem.xwiki.xwiki20.XWikiReferenceParser;
import org.wikimodel.wem.xwiki.xwiki20.XWikiScannerUtil;
import org.wikimodel.wem.xwiki.xwiki20.XWikiWikiParameters;
import java.util.Stack;

/** Token Manager. */
public class XWikiScannerTokenManager implements XWikiScannerConstants
{
    int verbatimBlockDepth = 0;
    int tableDepth = 0;
    String macroName = "";
    int macroDepth = 0;
    void initMacro(CharSequence buf) {
        macroName = getMacroName(buf);
        macroDepth = 1;
    }
    String getMacroName(CharSequence buf) {
        String str = buf.toString();
        str = str.trim();
        str = str.substring(2, str.length() - 2);
        int idx = str.indexOf(" ");
        if (idx > 0) {
            str = str.substring(0, idx);
        }
        return str;
    }

    /*
     * The lexical scanner operates in four different categories of
     * states:
     *
     * * base states: INLINE
     * * beginning of line state: BEGINNING_OF_LINE
     * * block states: TABLE_CONTEXT, HEADER_CONTEXT
     * * special states: VERBATIM_CONTEXT, MACRO_CONTEXT
     *
     * Except for state transitions to BEGINNING_OF_LINE and to
     * special states, we need to control the state transitions in
     * java code.  For this control the state we keep two variables:
     *
     * * preceedingSpecialState
     * * stateStack
     *
     * And we use the below five operations for switching lexical state.
     * 
     * * returnFromSpecialState()        - Called to switch from a
     *                                     a special state.
     * * enterBlockState(int state)      - Called instead of switching
     *                                     to a block state directly.
     * * pushStateControl()              - Called when entering an
     *                                     embedded document.
     * * popControlState()               - Called when leaving an
     *                                     embedded document.  Restores
     *                                     control variables and switches
     *                                     back to the state the
     *                                     corresponding pushStateControl
     *                                     was called from.
     *
     */

    private class LexStateControl {
        private int preceedingSpecialState;
        LexStateControl() {
            preceedingSpecialState = INLINE;
        }
        public void clearBlockState() {
            preceedingSpecialState = INLINE;
        }
        public void returnFromSpecialState() {
            SwitchTo(preceedingSpecialState);
        }
        public void enterBlockState(int state) {
            preceedingSpecialState = state;
            SwitchTo(state);
        }
    }

    private class ControlState {
        private final int curLexState;
        private final LexStateControl lexStateControl;
        ControlState(int curLexState, LexStateControl lexStateControl) {
            this.curLexState = curLexState;
            this.lexStateControl = lexStateControl;
        }

        public int getCurLexState() {
            return this.curLexState;
        }

        public LexStateControl getLexStateControl() {
            return this.lexStateControl;
        }

    }
    private final Stack<ControlState> controlStateStack = new Stack();

    LexStateControl lexStateControl = new LexStateControl();

    private void clearBlockState() { lexStateControl.clearBlockState(); }
    private void returnFromSpecialState() { lexStateControl.returnFromSpecialState(); }
    private void returnFromBeginningOfLine() { returnFromSpecialState(); }
    private void enterBlockState(int state) { lexStateControl.enterBlockState(state); }

    private void pushControlState() {
        controlStateStack.push(new ControlState(curLexState, lexStateControl));
        lexStateControl = new LexStateControl();
        SwitchTo(BEGINNING_OF_LINE);
    }

    private void popControlState() {
        ControlState s = controlStateStack.pop();
        lexStateControl = s.getLexStateControl();
        SwitchTo(s.getCurLexState());
    }

    private boolean inEmbeddedDocument() {
        return controlStateStack.size() > 0;
    }

  /** Debug output. */
  public  java.io.PrintStream debugStream = System.out;
  /** Set debug output. */
  public  void setDebugStream(java.io.PrintStream ds) { debugStream = ds; }
private int jjMoveStringLiteralDfa0_0()
{
   return 1;
}
private int jjMoveStringLiteralDfa0_1()
{
   return jjMoveNfa_1(12, 0);
}
static final long[] jjbitVec0 = {
   0xfffffffffffffffeL, 0xffffffffffffffffL, 0xffffffffffffffffL, 0xffffffffffffffffL
};
static final long[] jjbitVec2 = {
   0x0L, 0x0L, 0xffffffffffffffffL, 0xffffffffffffffffL
};
private int jjMoveNfa_1(int startState, int curPos)
{
   int startsAt = 0;
   jjnewStateCnt = 62;
   int i = 1;
   jjstateSet[0] = startState;
   int kind = 0x7fffffff;
   for (;;)
   {
      if (++jjround == 0x7fffffff)
         ReInitRounds();
      if (curChar < 64)
      {
         long l = 1L << curChar;
         do
         {
            switch(jjstateSet[--i])
            {
               case 12:
                  if ((0x100000200L & l) != 0L)
                     jjCheckNAddStates(0, 5);
                  else if ((0x2400L & l) != 0L)
                  {
                     if (kind > 7)
                        kind = 7;
                  }
                  else if ((0xc00000000000000L & l) != 0L)
                     jjCheckNAddTwoStates(8, 4);
                  else if ((0x2040000000000L & l) != 0L)
                     jjCheckNAddTwoStates(5, 6);
                  else if (curChar == 40)
                     jjAddStates(6, 8);
                  else if (curChar == 33)
                     jjAddStates(9, 10);
                  else if (curChar == 62)
                  {
                     if (kind > 8)
                        kind = 8;
                     jjCheckNAdd(19);
                  }
                  else if (curChar == 45)
                     jjstateSet[jjnewStateCnt++] = 11;
                  else if (curChar == 61)
                  {
                     if (kind > 2)
                        kind = 2;
                     jjCheckNAddTwoStates(0, 1);
                  }
                  if (curChar == 13)
                     jjstateSet[jjnewStateCnt++] = 16;
                  else if (curChar == 42)
                     jjCheckNAddStates(11, 13);
                  break;
               case 0:
                  if (curChar != 61)
                     break;
                  if (kind > 2)
                     kind = 2;
                  jjCheckNAddTwoStates(0, 1);
                  break;
               case 1:
                  if ((0x100000200L & l) == 0L)
                     break;
                  if (kind > 2)
                     kind = 2;
                  jjCheckNAdd(1);
                  break;
               case 2:
                  if (curChar == 42)
                     jjCheckNAddStates(11, 13);
                  break;
               case 3:
                  if ((0xc00000000000000L & l) != 0L)
                     jjCheckNAddTwoStates(3, 4);
                  break;
               case 4:
                  if ((0x100000200L & l) != 0L && kind > 3)
                     kind = 3;
                  break;
               case 5:
                  if ((0x2040000000000L & l) != 0L)
                     jjCheckNAddTwoStates(5, 6);
                  break;
               case 6:
                  if (curChar == 46)
                     jjCheckNAddTwoStates(7, 4);
                  break;
               case 7:
                  if ((0xc00000000000000L & l) != 0L)
                     jjCheckNAddTwoStates(7, 4);
                  break;
               case 8:
                  if ((0xc00000000000000L & l) != 0L)
                     jjCheckNAddTwoStates(8, 4);
                  break;
               case 9:
                  if (curChar == 45)
                     jjCheckNAdd(10);
                  break;
               case 10:
                  if (curChar != 45)
                     break;
                  if (kind > 4)
                     kind = 4;
                  jjCheckNAdd(10);
                  break;
               case 11:
                  if (curChar == 45)
                     jjstateSet[jjnewStateCnt++] = 9;
                  break;
               case 13:
                  if (curChar == 61 && kind > 5)
                     kind = 5;
                  break;
               case 16:
                  if (curChar == 10 && kind > 7)
                     kind = 7;
                  break;
               case 17:
                  if (curChar == 13)
                     jjstateSet[jjnewStateCnt++] = 16;
                  break;
               case 18:
                  if ((0x2400L & l) != 0L && kind > 7)
                     kind = 7;
                  break;
               case 19:
                  if (curChar != 62)
                     break;
                  if (kind > 8)
                     kind = 8;
                  jjCheckNAdd(19);
                  break;
               case 20:
                  if (curChar == 33)
                     jjAddStates(9, 10);
                  break;
               case 21:
                  if (curChar == 33 && kind > 5)
                     kind = 5;
                  break;
               case 22:
                  if ((0x100000200L & l) != 0L)
                     jjCheckNAddStates(0, 5);
                  break;
               case 23:
                  if ((0x100000200L & l) != 0L)
                     jjCheckNAddTwoStates(23, 0);
                  break;
               case 24:
                  if ((0x100000200L & l) != 0L)
                     jjCheckNAddStates(14, 17);
                  break;
               case 25:
                  if (curChar == 40)
                     jjAddStates(6, 8);
                  break;
               case 26:
                  if (curChar == 37)
                     jjCheckNAddStates(18, 21);
                  break;
               case 28:
                  jjCheckNAddStates(18, 21);
                  break;
               case 29:
                  if ((0xffffffdfffffffffL & l) != 0L)
                     jjCheckNAddStates(18, 21);
                  break;
               case 30:
                  if (curChar == 37)
                     jjstateSet[jjnewStateCnt++] = 31;
                  break;
               case 31:
                  if ((0xfffffdffffffffffL & l) != 0L)
                     jjCheckNAddStates(18, 21);
                  break;
               case 32:
                  if (curChar == 41)
                     jjCheckNAddStates(22, 25);
                  break;
               case 33:
                  if ((0x100000200L & l) != 0L)
                     jjCheckNAddStates(22, 25);
                  break;
               case 34:
                  if (curChar == 37)
                     jjstateSet[jjnewStateCnt++] = 32;
                  break;
               case 35:
                  if (curChar == 37)
                     jjCheckNAddStates(26, 29);
                  break;
               case 37:
                  jjCheckNAddStates(26, 29);
                  break;
               case 38:
                  if ((0xffffffdfffffffffL & l) != 0L)
                     jjCheckNAddStates(26, 29);
                  break;
               case 39:
                  if (curChar == 37)
                     jjstateSet[jjnewStateCnt++] = 40;
                  break;
               case 40:
                  if ((0xfffffdffffffffffL & l) != 0L)
                     jjCheckNAddStates(26, 29);
                  break;
               case 41:
                  if (curChar == 41)
                     jjAddStates(30, 31);
                  break;
               case 42:
                  if (curChar == 10 && kind > 6)
                     kind = 6;
                  break;
               case 43:
                  if (curChar == 13)
                     jjstateSet[jjnewStateCnt++] = 42;
                  break;
               case 44:
                  if ((0x2400L & l) != 0L && kind > 6)
                     kind = 6;
                  break;
               case 45:
                  if (curChar == 37)
                     jjstateSet[jjnewStateCnt++] = 41;
                  break;
               case 46:
                  if (curChar == 37)
                     jjCheckNAddStates(32, 35);
                  break;
               case 48:
                  jjCheckNAddStates(32, 35);
                  break;
               case 49:
                  if ((0xffffffdfffffffffL & l) != 0L)
                     jjCheckNAddStates(32, 35);
                  break;
               case 50:
                  if (curChar == 37)
                     jjstateSet[jjnewStateCnt++] = 51;
                  break;
               case 51:
                  if ((0xfffffdffffffffffL & l) != 0L)
                     jjCheckNAddStates(32, 35);
                  break;
               case 52:
                  if (curChar == 41)
                     jjCheckNAddStates(36, 39);
                  break;
               case 53:
                  if ((0x100000200L & l) != 0L)
                     jjCheckNAddStates(36, 39);
                  break;
               case 54:
                  if (curChar == 10)
                     jjCheckNAddTwoStates(55, 58);
                  break;
               case 55:
                  if ((0x100000200L & l) != 0L)
                     jjCheckNAddTwoStates(55, 58);
                  break;
               case 56:
                  if (curChar == 40 && kind > 66)
                     kind = 66;
                  break;
               case 57:
                  if (curChar == 40)
                     jjstateSet[jjnewStateCnt++] = 56;
                  break;
               case 58:
                  if (curChar == 40)
                     jjstateSet[jjnewStateCnt++] = 57;
                  break;
               case 59:
                  if (curChar == 13)
                     jjstateSet[jjnewStateCnt++] = 54;
                  break;
               case 60:
                  if ((0x2400L & l) != 0L)
                     jjCheckNAddTwoStates(55, 58);
                  break;
               case 61:
                  if (curChar == 37)
                     jjstateSet[jjnewStateCnt++] = 52;
                  break;
               default : break;
            }
         } while(i != startsAt);
      }
      else if (curChar < 128)
      {
         long l = 1L << (curChar & 077);
         do
         {
            switch(jjstateSet[--i])
            {
               case 12:
                  if (curChar == 124)
                  {
                     if (kind > 5)
                        kind = 5;
                  }
                  if (curChar == 124)
                     jjstateSet[jjnewStateCnt++] = 13;
                  break;
               case 14:
                  if (curChar == 124)
                     jjstateSet[jjnewStateCnt++] = 13;
                  break;
               case 15:
                  if (curChar == 124 && kind > 5)
                     kind = 5;
                  break;
               case 27:
                  if (curChar == 126)
                     jjstateSet[jjnewStateCnt++] = 28;
                  break;
               case 28:
               case 29:
               case 31:
                  jjCheckNAddStates(18, 21);
                  break;
               case 36:
                  if (curChar == 126)
                     jjstateSet[jjnewStateCnt++] = 37;
                  break;
               case 37:
               case 38:
               case 40:
                  jjCheckNAddStates(26, 29);
                  break;
               case 47:
                  if (curChar == 126)
                     jjstateSet[jjnewStateCnt++] = 48;
                  break;
               case 48:
               case 49:
               case 51:
                  jjCheckNAddStates(32, 35);
                  break;
               default : break;
            }
         } while(i != startsAt);
      }
      else
      {
         int hiByte = (int)(curChar >> 8);
         int i1 = hiByte >> 6;
         long l1 = 1L << (hiByte & 077);
         int i2 = (curChar & 0xff) >> 6;
         long l2 = 1L << (curChar & 077);
         do
         {
            switch(jjstateSet[--i])
            {
               case 28:
               case 29:
               case 31:
                  if (jjCanMove_0(hiByte, i1, i2, l1, l2))
                     jjCheckNAddStates(18, 21);
                  break;
               case 37:
               case 38:
               case 40:
                  if (jjCanMove_0(hiByte, i1, i2, l1, l2))
                     jjCheckNAddStates(26, 29);
                  break;
               case 48:
               case 49:
               case 51:
                  if (jjCanMove_0(hiByte, i1, i2, l1, l2))
                     jjCheckNAddStates(32, 35);
                  break;
               default : break;
            }
         } while(i != startsAt);
      }
      if (kind != 0x7fffffff)
      {
         jjmatchedKind = kind;
         jjmatchedPos = curPos;
         kind = 0x7fffffff;
      }
      ++curPos;
      if ((i = jjnewStateCnt) == (startsAt = 62 - (jjnewStateCnt = startsAt)))
         return curPos;
      try { curChar = input_stream.readChar(); }
      catch(java.io.IOException e) { return curPos; }
   }
}
private final int jjStopStringLiteralDfa_6(int pos, long active0, long active1)
{
   switch (pos)
   {
      case 0:
         if ((active1 & 0x4fe00L) != 0L)
         {
            jjmatchedKind = 88;
            return -1;
         }
         if ((active1 & 0x40L) != 0L)
         {
            jjmatchedKind = 88;
            return 152;
         }
         return -1;
      case 1:
         if ((active1 & 0x4fe00L) != 0L)
         {
            if (jjmatchedPos == 0)
            {
               jjmatchedKind = 88;
               jjmatchedPos = 0;
            }
            return -1;
         }
         if ((active1 & 0x40L) != 0L)
         {
            if (jjmatchedPos == 0)
            {
               jjmatchedKind = 88;
               jjmatchedPos = 0;
            }
            return 187;
         }
         return -1;
      default :
         return -1;
   }
}
private final int jjStartNfa_6(int pos, long active0, long active1)
{
   return jjMoveNfa_6(jjStopStringLiteralDfa_6(pos, active0, active1), pos + 1);
}
private int jjStopAtPos(int pos, int kind)
{
   jjmatchedKind = kind;
   jjmatchedPos = pos;
   return pos + 1;
}
private int jjMoveStringLiteralDfa0_6()
{
   switch(curChar)
   {
      case 35:
         return jjMoveStringLiteralDfa1_6(0x8000L);
      case 42:
         return jjMoveStringLiteralDfa1_6(0x200L);
      case 44:
         return jjMoveStringLiteralDfa1_6(0x4000L);
      case 45:
         return jjMoveStringLiteralDfa1_6(0x800L);
      case 47:
         return jjMoveStringLiteralDfa1_6(0x400L);
      case 92:
         return jjMoveStringLiteralDfa1_6(0x40000L);
      case 94:
         return jjMoveStringLiteralDfa1_6(0x2000L);
      case 95:
         return jjMoveStringLiteralDfa1_6(0x1000L);
      case 123:
         return jjMoveStringLiteralDfa1_6(0x40L);
      default :
         return jjMoveNfa_6(21, 0);
   }
}
private int jjMoveStringLiteralDfa1_6(long active1)
{
   try { curChar = input_stream.readChar(); }
   catch(java.io.IOException e) {
      jjStopStringLiteralDfa_6(0, 0L, active1);
      return 1;
   }
   switch(curChar)
   {
      case 35:
         if ((active1 & 0x8000L) != 0L)
            return jjStopAtPos(1, 79);
         break;
      case 42:
         if ((active1 & 0x200L) != 0L)
            return jjStopAtPos(1, 73);
         break;
      case 44:
         if ((active1 & 0x4000L) != 0L)
            return jjStopAtPos(1, 78);
         break;
      case 45:
         if ((active1 & 0x800L) != 0L)
            return jjStopAtPos(1, 75);
         break;
      case 47:
         if ((active1 & 0x400L) != 0L)
            return jjStopAtPos(1, 74);
         break;
      case 92:
         if ((active1 & 0x40000L) != 0L)
            return jjStopAtPos(1, 82);
         break;
      case 94:
         if ((active1 & 0x2000L) != 0L)
            return jjStopAtPos(1, 77);
         break;
      case 95:
         if ((active1 & 0x1000L) != 0L)
            return jjStopAtPos(1, 76);
         break;
      case 123:
         return jjMoveStringLiteralDfa2_6(active1, 0x40L);
      default :
         break;
   }
   return jjStartNfa_6(0, 0L, active1);
}
private int jjMoveStringLiteralDfa2_6(long old1, long active1)
{
   if (((active1 &= old1)) == 0L)
      return jjStartNfa_6(0, 0L, old1);
   try { curChar = input_stream.readChar(); }
   catch(java.io.IOException e) {
      jjStopStringLiteralDfa_6(1, 0L, active1);
      return 2;
   }
   switch(curChar)
   {
      case 123:
         if ((active1 & 0x40L) != 0L)
            return jjStopAtPos(2, 70);
         break;
      default :
         break;
   }
   return jjStartNfa_6(1, 0L, active1);
}
private int jjMoveNfa_6(int startState, int curPos)
{
   int startsAt = 0;
   jjnewStateCnt = 187;
   int i = 1;
   jjstateSet[0] = startState;
   int kind = 0x7fffffff;
   for (;;)
   {
      if (++jjround == 0x7fffffff)
         ReInitRounds();
      if (curChar < 64)
      {
         long l = 1L << curChar;
         do
         {
            switch(jjstateSet[--i])
            {
               case 21:
                  if ((0x3ff0000ffffd9ffL & l) != 0L)
                  {
                     if (kind > 87)
                        kind = 87;
                     jjCheckNAddTwoStates(114, 115);
                  }
                  else if ((0xfc00fffe00000000L & l) != 0L)
                  {
                     if (kind > 88)
                        kind = 88;
                  }
                  else if ((0x2400L & l) != 0L)
                  {
                     if (kind > 86)
                        kind = 86;
                     jjCheckNAddTwoStates(184, 185);
                  }
                  else if ((0x100000200L & l) != 0L)
                  {
                     if (kind > 84)
                        kind = 84;
                     jjCheckNAddStates(40, 45);
                  }
                  if (curChar == 13)
                     jjAddStates(46, 47);
                  else if (curChar == 40)
                     jjCheckNAddStates(48, 50);
                  else if (curChar == 41)
                     jjstateSet[jjnewStateCnt++] = 112;
                  break;
               case 187:
                  if ((0x3ff0000ffffd9ffL & l) != 0L)
                     jjCheckNAddStates(51, 55);
                  if ((0x3ff0000ffffd9ffL & l) != 0L)
                     jjCheckNAddStates(56, 60);
                  break;
               case 1:
                  if (curChar == 58)
                     jjCheckNAddStates(61, 64);
                  break;
               case 3:
               case 4:
                  jjCheckNAddStates(61, 64);
                  break;
               case 15:
               case 16:
                  jjCheckNAddStates(65, 69);
                  break;
               case 22:
                  if (curChar != 58)
                     break;
                  if (kind > 80)
                     kind = 80;
                  jjCheckNAddTwoStates(23, 24);
                  break;
               case 23:
                  if ((0xfffffffeffffd9ffL & l) == 0L)
                     break;
                  if (kind > 80)
                     kind = 80;
                  jjCheckNAddTwoStates(23, 24);
                  break;
               case 25:
                  if (kind > 80)
                     kind = 80;
                  jjCheckNAddTwoStates(23, 24);
                  break;
               case 26:
                  if ((0x3ff0000ffffd9ffL & l) == 0L)
                     break;
                  if (kind > 80)
                     kind = 80;
                  jjCheckNAddTwoStates(23, 24);
                  break;
               case 27:
                  if ((0xfc00fffe00000000L & l) == 0L)
                     break;
                  if (kind > 80)
                     kind = 80;
                  jjCheckNAddTwoStates(23, 24);
                  break;
               case 33:
                  if (curChar != 58)
                     break;
                  if (kind > 81)
                     kind = 81;
                  jjCheckNAddTwoStates(34, 35);
                  break;
               case 34:
                  if ((0xfffffffeffffd9ffL & l) == 0L)
                     break;
                  if (kind > 81)
                     kind = 81;
                  jjCheckNAddTwoStates(34, 35);
                  break;
               case 36:
                  if (kind > 81)
                     kind = 81;
                  jjCheckNAddTwoStates(34, 35);
                  break;
               case 37:
                  if ((0x3ff0000ffffd9ffL & l) == 0L)
                     break;
                  if (kind > 81)
                     kind = 81;
                  jjCheckNAddTwoStates(34, 35);
                  break;
               case 38:
                  if ((0xfc00fffe00000000L & l) == 0L)
                     break;
                  if (kind > 81)
                     kind = 81;
                  jjCheckNAddTwoStates(34, 35);
                  break;
               case 45:
                  if (curChar == 58)
                     jjAddStates(70, 72);
                  break;
               case 46:
                  if (curChar != 47)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(73, 76);
                  break;
               case 47:
                  if ((0x2fff6fd200000000L & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(77, 81);
                  break;
               case 48:
                  if (curChar == 37)
                     jjstateSet[jjnewStateCnt++] = 49;
                  break;
               case 49:
                  if ((0x3ff000000000000L & l) != 0L)
                     jjstateSet[jjnewStateCnt++] = 50;
                  break;
               case 50:
                  if ((0x3ff000000000000L & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(77, 81);
                  break;
               case 51:
                  if (curChar != 47)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(82, 86);
                  break;
               case 52:
                  if ((0x2fff6fd200000000L & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(82, 86);
                  break;
               case 53:
                  if (curChar == 37)
                     jjstateSet[jjnewStateCnt++] = 54;
                  break;
               case 54:
                  if ((0x3ff000000000000L & l) != 0L)
                     jjstateSet[jjnewStateCnt++] = 55;
                  break;
               case 55:
                  if ((0x3ff000000000000L & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(82, 86);
                  break;
               case 56:
                  if (curChar != 63)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(87, 89);
                  break;
               case 57:
                  if ((0xafffefd200000000L & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(87, 89);
                  break;
               case 58:
                  if (curChar == 37)
                     jjstateSet[jjnewStateCnt++] = 59;
                  break;
               case 59:
                  if ((0x3ff000000000000L & l) != 0L)
                     jjstateSet[jjnewStateCnt++] = 60;
                  break;
               case 60:
                  if ((0x3ff000000000000L & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(87, 89);
                  break;
               case 61:
                  if (curChar != 35)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddTwoStates(62, 63);
                  break;
               case 62:
                  if ((0xafffefd200000000L & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddTwoStates(62, 63);
                  break;
               case 63:
                  if (curChar == 37)
                     jjstateSet[jjnewStateCnt++] = 64;
                  break;
               case 64:
                  if ((0x3ff000000000000L & l) != 0L)
                     jjstateSet[jjnewStateCnt++] = 65;
                  break;
               case 65:
                  if ((0x3ff000000000000L & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddTwoStates(62, 63);
                  break;
               case 66:
                  if (curChar == 37)
                     jjstateSet[jjnewStateCnt++] = 67;
                  break;
               case 67:
                  if ((0x3ff000000000000L & l) != 0L)
                     jjstateSet[jjnewStateCnt++] = 68;
                  break;
               case 68:
                  if ((0x3ff000000000000L & l) != 0L)
                     jjCheckNAddTwoStates(69, 72);
                  break;
               case 69:
                  if (curChar == 37)
                     jjstateSet[jjnewStateCnt++] = 70;
                  break;
               case 70:
                  if ((0x3ff000000000000L & l) != 0L)
                     jjstateSet[jjnewStateCnt++] = 71;
                  break;
               case 71:
                  if ((0x3ff000000000000L & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(90, 94);
                  break;
               case 72:
                  if ((0x2bff6fd200000000L & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(90, 94);
                  break;
               case 73:
                  if (curChar != 47)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(95, 99);
                  break;
               case 74:
                  if ((0x2fff6fd200000000L & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(95, 99);
                  break;
               case 75:
                  if (curChar == 37)
                     jjstateSet[jjnewStateCnt++] = 76;
                  break;
               case 76:
                  if ((0x3ff000000000000L & l) != 0L)
                     jjstateSet[jjnewStateCnt++] = 77;
                  break;
               case 77:
                  if ((0x3ff000000000000L & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(95, 99);
                  break;
               case 78:
                  if ((0x2bff6fd200000000L & l) != 0L)
                     jjCheckNAddTwoStates(69, 72);
                  break;
               case 86:
                  if ((0x3ff680000000000L & l) != 0L)
                     jjCheckNAddStates(100, 102);
                  break;
               case 87:
                  if (curChar == 58)
                     jjstateSet[jjnewStateCnt++] = 88;
                  break;
               case 89:
                  if ((0x3ff680000000000L & l) != 0L)
                     jjCheckNAddStates(103, 105);
                  break;
               case 90:
                  if (curChar != 47)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(106, 113);
                  break;
               case 91:
                  if ((0x2fff6fd200000000L & l) != 0L)
                     jjCheckNAddStates(114, 116);
                  break;
               case 92:
                  if (curChar == 37)
                     jjCheckNAdd(93);
                  break;
               case 93:
                  if ((0x3ff000000000000L & l) != 0L)
                     jjstateSet[jjnewStateCnt++] = 94;
                  break;
               case 94:
                  if ((0x3ff000000000000L & l) != 0L)
                     jjCheckNAddStates(114, 116);
                  break;
               case 96:
                  if (curChar == 37)
                     jjCheckNAdd(97);
                  break;
               case 97:
                  if ((0x3ff000000000000L & l) != 0L)
                     jjstateSet[jjnewStateCnt++] = 98;
                  break;
               case 98:
                  if ((0x3ff000000000000L & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(117, 122);
                  break;
               case 99:
                  if ((0x2bff6fd200000000L & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(117, 122);
                  break;
               case 100:
                  if (curChar == 58)
                     jjCheckNAdd(101);
                  break;
               case 101:
                  if ((0x3ff000000000000L & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(123, 126);
                  break;
               case 102:
                  if (curChar != 47)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(127, 131);
                  break;
               case 103:
                  if ((0x2fff6fd200000000L & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(127, 131);
                  break;
               case 104:
                  if (curChar == 37)
                     jjstateSet[jjnewStateCnt++] = 105;
                  break;
               case 105:
                  if ((0x3ff000000000000L & l) != 0L)
                     jjstateSet[jjnewStateCnt++] = 106;
                  break;
               case 106:
                  if ((0x3ff000000000000L & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(127, 131);
                  break;
               case 107:
                  if (curChar == 37)
                     jjCheckNAddTwoStates(93, 97);
                  break;
               case 108:
                  if (curChar == 47)
                     jjstateSet[jjnewStateCnt++] = 90;
                  break;
               case 109:
                  if (curChar == 58)
                     jjstateSet[jjnewStateCnt++] = 108;
                  break;
               case 110:
                  if (curChar != 41)
                     break;
                  if (kind > 85)
                     kind = 85;
                  jjCheckNAdd(111);
                  break;
               case 111:
                  if ((0x100000200L & l) == 0L)
                     break;
                  if (kind > 85)
                     kind = 85;
                  jjCheckNAdd(111);
                  break;
               case 112:
                  if (curChar == 41)
                     jjstateSet[jjnewStateCnt++] = 110;
                  break;
               case 113:
                  if (curChar == 41)
                     jjstateSet[jjnewStateCnt++] = 112;
                  break;
               case 114:
                  if ((0x3ff0000ffffd9ffL & l) == 0L)
                     break;
                  if (kind > 87)
                     kind = 87;
                  jjCheckNAddTwoStates(114, 115);
                  break;
               case 116:
                  if ((0xfc00fffe00000000L & l) != 0L && kind > 88)
                     kind = 88;
                  break;
               case 117:
                  if (curChar == 40)
                     jjCheckNAddStates(48, 50);
                  break;
               case 118:
                  if (curChar == 37)
                     jjCheckNAddStates(132, 135);
                  break;
               case 120:
                  jjCheckNAddStates(132, 135);
                  break;
               case 121:
                  if ((0xffffffdfffffffffL & l) != 0L)
                     jjCheckNAddStates(132, 135);
                  break;
               case 122:
                  if (curChar == 37)
                     jjstateSet[jjnewStateCnt++] = 123;
                  break;
               case 123:
                  if ((0xfffffdffffffffffL & l) != 0L)
                     jjCheckNAddStates(132, 135);
                  break;
               case 124:
                  if (curChar == 41)
                     jjCheckNAddStates(136, 139);
                  break;
               case 125:
                  if ((0x100000200L & l) != 0L)
                     jjCheckNAddStates(136, 139);
                  break;
               case 126:
                  if (curChar == 10)
                     jjCheckNAddTwoStates(127, 130);
                  break;
               case 127:
                  if ((0x100000200L & l) != 0L)
                     jjCheckNAddTwoStates(127, 130);
                  break;
               case 128:
                  if (curChar == 40 && kind > 66)
                     kind = 66;
                  break;
               case 129:
                  if (curChar == 40)
                     jjstateSet[jjnewStateCnt++] = 128;
                  break;
               case 130:
                  if (curChar == 40)
                     jjstateSet[jjnewStateCnt++] = 129;
                  break;
               case 131:
                  if (curChar == 13)
                     jjstateSet[jjnewStateCnt++] = 126;
                  break;
               case 132:
                  if ((0x2400L & l) != 0L)
                     jjCheckNAddTwoStates(127, 130);
                  break;
               case 133:
                  if (curChar == 37)
                     jjstateSet[jjnewStateCnt++] = 124;
                  break;
               case 134:
                  if (curChar == 37)
                     jjCheckNAddStates(140, 143);
                  break;
               case 136:
                  jjCheckNAddStates(140, 143);
                  break;
               case 137:
                  if ((0xffffffdfffffffffL & l) != 0L)
                     jjCheckNAddStates(140, 143);
                  break;
               case 138:
                  if (curChar == 37)
                     jjstateSet[jjnewStateCnt++] = 139;
                  break;
               case 139:
                  if ((0xfffffdffffffffffL & l) != 0L)
                     jjCheckNAddStates(140, 143);
                  break;
               case 140:
                  if (curChar == 41 && kind > 67)
                     kind = 67;
                  break;
               case 141:
                  if (curChar == 37)
                     jjstateSet[jjnewStateCnt++] = 140;
                  break;
               case 142:
                  if (curChar != 40)
                     break;
                  if (kind > 68)
                     kind = 68;
                  jjCheckNAdd(143);
                  break;
               case 143:
                  if ((0x100000200L & l) == 0L)
                     break;
                  if (kind > 68)
                     kind = 68;
                  jjCheckNAdd(143);
                  break;
               case 144:
                  if (curChar == 40)
                     jjstateSet[jjnewStateCnt++] = 142;
                  break;
               case 145:
                  if ((0x100000200L & l) == 0L)
                     break;
                  if (kind > 84)
                     kind = 84;
                  jjCheckNAddStates(40, 45);
                  break;
               case 146:
                  if ((0x100000200L & l) != 0L)
                     jjCheckNAddTwoStates(146, 147);
                  break;
               case 147:
                  if (curChar == 40)
                     jjCheckNAdd(144);
                  break;
               case 148:
                  if ((0x100000200L & l) == 0L)
                     break;
                  if (kind > 84)
                     kind = 84;
                  jjCheckNAddTwoStates(148, 149);
                  break;
               case 150:
                  if ((0x100000200L & l) != 0L)
                     jjCheckNAddTwoStates(150, 113);
                  break;
               case 153:
                  if ((0x3ff0000ffffd9ffL & l) != 0L)
                     jjCheckNAddStates(56, 60);
                  break;
               case 155:
                  if ((0x400600000000000L & l) != 0L)
                     jjCheckNAddTwoStates(156, 157);
                  break;
               case 156:
                  if ((0x3ff0000ffffd9ffL & l) != 0L)
                     jjCheckNAddStates(144, 148);
                  break;
               case 158:
                  if ((0x100000200L & l) != 0L)
                     jjCheckNAddStates(149, 152);
                  break;
               case 160:
               case 161:
                  jjCheckNAddStates(149, 152);
                  break;
               case 165:
                  if (curChar == 47)
                     jjstateSet[jjnewStateCnt++] = 164;
                  break;
               case 167:
                  if ((0x3ff0000ffffd9ffL & l) != 0L)
                     jjCheckNAddStates(51, 55);
                  break;
               case 169:
                  if ((0x400600000000000L & l) != 0L)
                     jjCheckNAddTwoStates(170, 171);
                  break;
               case 170:
                  if ((0x3ff0000ffffd9ffL & l) != 0L)
                     jjCheckNAddStates(153, 157);
                  break;
               case 172:
                  if ((0x100000200L & l) != 0L)
                     jjCheckNAddStates(158, 161);
                  break;
               case 174:
               case 175:
                  jjCheckNAddStates(158, 161);
                  break;
               case 180:
                  if (curChar == 13)
                     jjAddStates(46, 47);
                  break;
               case 181:
                  if (curChar == 10 && kind > 86)
                     kind = 86;
                  break;
               case 182:
                  if (curChar == 10)
                     jjCheckNAddTwoStates(184, 185);
                  break;
               case 183:
                  if (curChar == 10 && kind > 91)
                     kind = 91;
                  break;
               case 184:
                  if (curChar == 13)
                     jjstateSet[jjnewStateCnt++] = 183;
                  break;
               case 185:
                  if ((0x2400L & l) != 0L && kind > 91)
                     kind = 91;
                  break;
               case 186:
                  if ((0x2400L & l) == 0L)
                     break;
                  if (kind > 86)
                     kind = 86;
                  jjCheckNAddTwoStates(184, 185);
                  break;
               default : break;
            }
         } while(i != startsAt);
      }
      else if (curChar < 128)
      {
         long l = 1L << (curChar & 077);
         do
         {
            switch(jjstateSet[--i])
            {
               case 21:
                  if ((0x87fffffe07fffffeL & l) != 0L)
                  {
                     if (kind > 87)
                        kind = 87;
                     jjCheckNAddTwoStates(114, 115);
                  }
                  else if ((0x78000001f8000001L & l) != 0L)
                  {
                     if (kind > 88)
                        kind = 88;
                  }
                  if ((0x7fffffe07fffffeL & l) != 0L)
                     jjCheckNAddStates(100, 102);
                  else if (curChar == 126)
                     jjCheckNAddStates(162, 164);
                  else if (curChar == 123)
                     jjAddStates(165, 166);
                  else if (curChar == 91)
                     jjstateSet[jjnewStateCnt++] = 0;
                  if (curChar == 109)
                     jjstateSet[jjnewStateCnt++] = 83;
                  else if (curChar == 97)
                     jjstateSet[jjnewStateCnt++] = 43;
                  else if (curChar == 105)
                     jjstateSet[jjnewStateCnt++] = 31;
                  break;
               case 152:
                  if (curChar == 123)
                     jjCheckNAddTwoStates(167, 168);
                  if (curChar == 123)
                     jjCheckNAddTwoStates(153, 154);
                  break;
               case 187:
                  if ((0x87fffffe07fffffeL & l) != 0L)
                     jjCheckNAddStates(51, 55);
                  else if (curChar == 126)
                     jjCheckNAdd(167);
                  if ((0x87fffffe07fffffeL & l) != 0L)
                     jjCheckNAddStates(56, 60);
                  else if (curChar == 126)
                     jjCheckNAdd(153);
                  break;
               case 0:
                  if (curChar == 91)
                     jjCheckNAddStates(65, 69);
                  break;
               case 2:
                  if (curChar == 126)
                     jjstateSet[jjnewStateCnt++] = 3;
                  break;
               case 3:
                  jjCheckNAddStates(61, 64);
                  break;
               case 4:
                  if ((0xffffffffdfffffffL & l) != 0L)
                     jjCheckNAddStates(61, 64);
                  break;
               case 5:
                  if (curChar == 93)
                     jjCheckNAdd(4);
                  break;
               case 6:
                  if (curChar == 93)
                     jjCheckNAddStates(65, 69);
                  break;
               case 7:
                  if (curChar == 101)
                     jjstateSet[jjnewStateCnt++] = 1;
                  break;
               case 8:
                  if (curChar == 103)
                     jjstateSet[jjnewStateCnt++] = 7;
                  break;
               case 9:
                  if (curChar == 97)
                     jjstateSet[jjnewStateCnt++] = 8;
                  break;
               case 10:
                  if (curChar == 109)
                     jjstateSet[jjnewStateCnt++] = 9;
                  break;
               case 11:
                  if (curChar == 105)
                     jjstateSet[jjnewStateCnt++] = 10;
                  break;
               case 12:
                  if (curChar == 91)
                     jjstateSet[jjnewStateCnt++] = 11;
                  break;
               case 13:
                  if (curChar == 91)
                     jjstateSet[jjnewStateCnt++] = 12;
                  break;
               case 14:
                  if (curChar == 126)
                     jjstateSet[jjnewStateCnt++] = 15;
                  break;
               case 15:
                  jjCheckNAddStates(65, 69);
                  break;
               case 16:
                  if ((0xffffffffdfffffffL & l) != 0L)
                     jjCheckNAddStates(65, 69);
                  break;
               case 17:
                  if (curChar == 93)
                     jjCheckNAdd(16);
                  break;
               case 18:
                  if (curChar == 93 && kind > 69)
                     kind = 69;
                  break;
               case 19:
                  if (curChar == 93)
                     jjstateSet[jjnewStateCnt++] = 18;
                  break;
               case 20:
                  if (curChar == 93)
                     jjstateSet[jjnewStateCnt++] = 6;
                  break;
               case 23:
               case 25:
                  if (kind > 80)
                     kind = 80;
                  jjCheckNAddTwoStates(23, 24);
                  break;
               case 24:
                  if (curChar == 126)
                     jjAddStates(167, 169);
                  break;
               case 26:
                  if ((0x87fffffe07fffffeL & l) == 0L)
                     break;
                  if (kind > 80)
                     kind = 80;
                  jjCheckNAddTwoStates(23, 24);
                  break;
               case 27:
                  if ((0x78000001f8000001L & l) == 0L)
                     break;
                  if (kind > 80)
                     kind = 80;
                  jjCheckNAddTwoStates(23, 24);
                  break;
               case 28:
                  if (curChar == 101)
                     jjstateSet[jjnewStateCnt++] = 22;
                  break;
               case 29:
                  if (curChar == 103)
                     jjstateSet[jjnewStateCnt++] = 28;
                  break;
               case 30:
                  if (curChar == 97)
                     jjstateSet[jjnewStateCnt++] = 29;
                  break;
               case 31:
                  if (curChar == 109)
                     jjstateSet[jjnewStateCnt++] = 30;
                  break;
               case 32:
                  if (curChar == 105)
                     jjstateSet[jjnewStateCnt++] = 31;
                  break;
               case 34:
               case 36:
                  if (kind > 81)
                     kind = 81;
                  jjCheckNAddTwoStates(34, 35);
                  break;
               case 35:
                  if (curChar == 126)
                     jjAddStates(170, 172);
                  break;
               case 37:
                  if ((0x87fffffe07fffffeL & l) == 0L)
                     break;
                  if (kind > 81)
                     kind = 81;
                  jjCheckNAddTwoStates(34, 35);
                  break;
               case 38:
                  if ((0x78000001f8000001L & l) == 0L)
                     break;
                  if (kind > 81)
                     kind = 81;
                  jjCheckNAddTwoStates(34, 35);
                  break;
               case 39:
                  if (curChar == 104)
                     jjstateSet[jjnewStateCnt++] = 33;
                  break;
               case 40:
                  if (curChar == 99)
                     jjstateSet[jjnewStateCnt++] = 39;
                  break;
               case 41:
                  if (curChar == 97)
                     jjstateSet[jjnewStateCnt++] = 40;
                  break;
               case 42:
                  if (curChar == 116)
                     jjstateSet[jjnewStateCnt++] = 41;
                  break;
               case 43:
                  if (curChar == 116)
                     jjstateSet[jjnewStateCnt++] = 42;
                  break;
               case 44:
                  if (curChar == 97)
                     jjstateSet[jjnewStateCnt++] = 43;
                  break;
               case 47:
                  if ((0x47fffffe87ffffffL & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(77, 81);
                  break;
               case 49:
                  if ((0x7e0000007eL & l) != 0L)
                     jjstateSet[jjnewStateCnt++] = 50;
                  break;
               case 50:
                  if ((0x7e0000007eL & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(77, 81);
                  break;
               case 52:
                  if ((0x47fffffe87ffffffL & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(82, 86);
                  break;
               case 54:
                  if ((0x7e0000007eL & l) != 0L)
                     jjstateSet[jjnewStateCnt++] = 55;
                  break;
               case 55:
                  if ((0x7e0000007eL & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(82, 86);
                  break;
               case 57:
                  if ((0x47fffffe87ffffffL & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(87, 89);
                  break;
               case 59:
                  if ((0x7e0000007eL & l) != 0L)
                     jjstateSet[jjnewStateCnt++] = 60;
                  break;
               case 60:
                  if ((0x7e0000007eL & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(87, 89);
                  break;
               case 62:
                  if ((0x47fffffe87ffffffL & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddTwoStates(62, 63);
                  break;
               case 64:
                  if ((0x7e0000007eL & l) != 0L)
                     jjstateSet[jjnewStateCnt++] = 65;
                  break;
               case 65:
                  if ((0x7e0000007eL & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddTwoStates(62, 63);
                  break;
               case 67:
                  if ((0x7e0000007eL & l) != 0L)
                     jjstateSet[jjnewStateCnt++] = 68;
                  break;
               case 68:
                  if ((0x7e0000007eL & l) != 0L)
                     jjCheckNAddTwoStates(69, 72);
                  break;
               case 70:
                  if ((0x7e0000007eL & l) != 0L)
                     jjstateSet[jjnewStateCnt++] = 71;
                  break;
               case 71:
                  if ((0x7e0000007eL & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(90, 94);
                  break;
               case 72:
                  if ((0x47fffffe87ffffffL & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(90, 94);
                  break;
               case 74:
                  if ((0x47fffffe87ffffffL & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(95, 99);
                  break;
               case 76:
                  if ((0x7e0000007eL & l) != 0L)
                     jjstateSet[jjnewStateCnt++] = 77;
                  break;
               case 77:
                  if ((0x7e0000007eL & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(95, 99);
                  break;
               case 78:
                  if ((0x47fffffe87fffffeL & l) != 0L)
                     jjCheckNAddTwoStates(69, 72);
                  break;
               case 79:
                  if (curChar == 111)
                     jjstateSet[jjnewStateCnt++] = 45;
                  break;
               case 80:
                  if (curChar == 116)
                     jjstateSet[jjnewStateCnt++] = 79;
                  break;
               case 81:
                  if (curChar == 108)
                     jjstateSet[jjnewStateCnt++] = 80;
                  break;
               case 82:
                  if (curChar == 105)
                     jjstateSet[jjnewStateCnt++] = 81;
                  break;
               case 83:
                  if (curChar == 97)
                     jjstateSet[jjnewStateCnt++] = 82;
                  break;
               case 84:
                  if (curChar == 109)
                     jjstateSet[jjnewStateCnt++] = 83;
                  break;
               case 85:
               case 86:
                  if ((0x7fffffe07fffffeL & l) != 0L)
                     jjCheckNAddStates(100, 102);
                  break;
               case 88:
               case 89:
                  if ((0x7fffffe07fffffeL & l) != 0L)
                     jjCheckNAddStates(103, 105);
                  break;
               case 91:
                  if ((0x47fffffe87fffffeL & l) != 0L)
                     jjCheckNAddStates(114, 116);
                  break;
               case 93:
                  if ((0x7e0000007eL & l) != 0L)
                     jjstateSet[jjnewStateCnt++] = 94;
                  break;
               case 94:
                  if ((0x7e0000007eL & l) != 0L)
                     jjCheckNAddStates(114, 116);
                  break;
               case 95:
                  if (curChar != 64)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(117, 122);
                  break;
               case 97:
                  if ((0x7e0000007eL & l) != 0L)
                     jjstateSet[jjnewStateCnt++] = 98;
                  break;
               case 98:
                  if ((0x7e0000007eL & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(117, 122);
                  break;
               case 99:
                  if ((0x47fffffe87fffffeL & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(117, 122);
                  break;
               case 103:
                  if ((0x47fffffe87ffffffL & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(127, 131);
                  break;
               case 105:
                  if ((0x7e0000007eL & l) != 0L)
                     jjstateSet[jjnewStateCnt++] = 106;
                  break;
               case 106:
                  if ((0x7e0000007eL & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(127, 131);
                  break;
               case 114:
                  if ((0x87fffffe07fffffeL & l) == 0L)
                     break;
                  if (kind > 87)
                     kind = 87;
                  jjCheckNAddTwoStates(114, 115);
                  break;
               case 115:
                  if (curChar == 126)
                     jjCheckNAdd(114);
                  break;
               case 116:
                  if ((0x78000001f8000001L & l) != 0L && kind > 88)
                     kind = 88;
                  break;
               case 119:
                  if (curChar == 126)
                     jjstateSet[jjnewStateCnt++] = 120;
                  break;
               case 120:
               case 121:
               case 123:
                  jjCheckNAddStates(132, 135);
                  break;
               case 135:
                  if (curChar == 126)
                     jjstateSet[jjnewStateCnt++] = 136;
                  break;
               case 136:
               case 137:
               case 139:
                  jjCheckNAddStates(140, 143);
                  break;
               case 149:
                  if (curChar == 126)
                     jjCheckNAdd(148);
                  break;
               case 151:
                  if (curChar == 123)
                     jjAddStates(165, 166);
                  break;
               case 153:
                  if ((0x87fffffe07fffffeL & l) != 0L)
                     jjCheckNAddStates(56, 60);
                  break;
               case 154:
                  if (curChar == 126)
                     jjCheckNAdd(153);
                  break;
               case 155:
                  if (curChar == 95)
                     jjCheckNAddTwoStates(156, 157);
                  break;
               case 156:
                  if ((0x87fffffe07fffffeL & l) != 0L)
                     jjCheckNAddStates(144, 148);
                  break;
               case 157:
                  if (curChar == 126)
                     jjCheckNAdd(156);
                  break;
               case 159:
                  if (curChar == 126)
                     jjstateSet[jjnewStateCnt++] = 160;
                  break;
               case 160:
                  jjCheckNAddStates(149, 152);
                  break;
               case 161:
                  if ((0xdfffffffffffffffL & l) != 0L)
                     jjCheckNAddStates(149, 152);
                  break;
               case 162:
                  if (curChar == 125)
                     jjCheckNAdd(161);
                  break;
               case 163:
                  if (curChar == 125 && kind > 71)
                     kind = 71;
                  break;
               case 164:
                  if (curChar == 125)
                     jjstateSet[jjnewStateCnt++] = 163;
                  break;
               case 166:
                  if (curChar == 123)
                     jjCheckNAddTwoStates(167, 168);
                  break;
               case 167:
                  if ((0x87fffffe07fffffeL & l) != 0L)
                     jjCheckNAddStates(51, 55);
                  break;
               case 168:
                  if (curChar == 126)
                     jjCheckNAdd(167);
                  break;
               case 169:
                  if (curChar == 95)
                     jjCheckNAddTwoStates(170, 171);
                  break;
               case 170:
                  if ((0x87fffffe07fffffeL & l) != 0L)
                     jjCheckNAddStates(153, 157);
                  break;
               case 171:
                  if (curChar == 126)
                     jjCheckNAdd(170);
                  break;
               case 173:
                  if (curChar == 126)
                     jjstateSet[jjnewStateCnt++] = 174;
                  break;
               case 174:
                  jjCheckNAddStates(158, 161);
                  break;
               case 175:
                  if ((0xdfffffffffffffffL & l) != 0L)
                     jjCheckNAddStates(158, 161);
                  break;
               case 176:
                  if (curChar == 125)
                     jjCheckNAdd(175);
                  break;
               case 177:
                  if (curChar == 125 && kind > 72)
                     kind = 72;
                  break;
               case 178:
                  if (curChar == 125)
                     jjstateSet[jjnewStateCnt++] = 177;
                  break;
               case 179:
                  if (curChar == 126)
                     jjCheckNAddStates(162, 164);
                  break;
               default : break;
            }
         } while(i != startsAt);
      }
      else
      {
         int hiByte = (int)(curChar >> 8);
         int i1 = hiByte >> 6;
         long l1 = 1L << (hiByte & 077);
         int i2 = (curChar & 0xff) >> 6;
         long l2 = 1L << (curChar & 077);
         do
         {
            switch(jjstateSet[--i])
            {
               case 21:
               case 114:
                  if (!jjCanMove_0(hiByte, i1, i2, l1, l2))
                     break;
                  if (kind > 87)
                     kind = 87;
                  jjCheckNAddTwoStates(114, 115);
                  break;
               case 187:
                  if (jjCanMove_0(hiByte, i1, i2, l1, l2))
                     jjCheckNAddStates(56, 60);
                  if (jjCanMove_0(hiByte, i1, i2, l1, l2))
                     jjCheckNAddStates(51, 55);
                  break;
               case 3:
               case 4:
                  if (jjCanMove_0(hiByte, i1, i2, l1, l2))
                     jjCheckNAddStates(61, 64);
                  break;
               case 15:
               case 16:
                  if (jjCanMove_0(hiByte, i1, i2, l1, l2))
                     jjCheckNAddStates(65, 69);
                  break;
               case 23:
               case 25:
               case 26:
                  if (!jjCanMove_0(hiByte, i1, i2, l1, l2))
                     break;
                  if (kind > 80)
                     kind = 80;
                  jjCheckNAddTwoStates(23, 24);
                  break;
               case 34:
               case 36:
               case 37:
                  if (!jjCanMove_0(hiByte, i1, i2, l1, l2))
                     break;
                  if (kind > 81)
                     kind = 81;
                  jjCheckNAddTwoStates(34, 35);
                  break;
               case 120:
               case 121:
               case 123:
                  if (jjCanMove_0(hiByte, i1, i2, l1, l2))
                     jjCheckNAddStates(132, 135);
                  break;
               case 136:
               case 137:
               case 139:
                  if (jjCanMove_0(hiByte, i1, i2, l1, l2))
                     jjCheckNAddStates(140, 143);
                  break;
               case 153:
                  if (jjCanMove_0(hiByte, i1, i2, l1, l2))
                     jjCheckNAddStates(56, 60);
                  break;
               case 156:
                  if (jjCanMove_0(hiByte, i1, i2, l1, l2))
                     jjCheckNAddStates(144, 148);
                  break;
               case 160:
               case 161:
                  if (jjCanMove_0(hiByte, i1, i2, l1, l2))
                     jjCheckNAddStates(149, 152);
                  break;
               case 167:
                  if (jjCanMove_0(hiByte, i1, i2, l1, l2))
                     jjCheckNAddStates(51, 55);
                  break;
               case 170:
                  if (jjCanMove_0(hiByte, i1, i2, l1, l2))
                     jjCheckNAddStates(153, 157);
                  break;
               case 174:
               case 175:
                  if (jjCanMove_0(hiByte, i1, i2, l1, l2))
                     jjCheckNAddStates(158, 161);
                  break;
               default : break;
            }
         } while(i != startsAt);
      }
      if (kind != 0x7fffffff)
      {
         jjmatchedKind = kind;
         jjmatchedPos = curPos;
         kind = 0x7fffffff;
      }
      ++curPos;
      if ((i = jjnewStateCnt) == (startsAt = 187 - (jjnewStateCnt = startsAt)))
         return curPos;
      try { curChar = input_stream.readChar(); }
      catch(java.io.IOException e) { return curPos; }
   }
}
private int jjMoveStringLiteralDfa0_5()
{
   return jjMoveNfa_5(0, 0);
}
private int jjMoveNfa_5(int startState, int curPos)
{
   int startsAt = 0;
   jjnewStateCnt = 30;
   int i = 1;
   jjstateSet[0] = startState;
   int kind = 0x7fffffff;
   for (;;)
   {
      if (++jjround == 0x7fffffff)
         ReInitRounds();
      if (curChar < 64)
      {
         long l = 1L << curChar;
         do
         {
            switch(jjstateSet[--i])
            {
               case 0:
                  if (kind > 20)
                     kind = 20;
                  if (curChar == 13)
                     jjstateSet[jjnewStateCnt++] = 1;
                  break;
               case 1:
                  if (curChar == 10 && kind > 20)
                     kind = 20;
                  break;
               case 2:
                  if (curChar == 13)
                     jjstateSet[jjnewStateCnt++] = 1;
                  break;
               case 4:
                  if ((0x3ff0000ffffd9ffL & l) != 0L && kind > 20)
                     kind = 20;
                  break;
               case 5:
                  if ((0xfc00fffe00000000L & l) != 0L && kind > 20)
                     kind = 20;
                  break;
               case 8:
                  if ((0x3ff0000ffffd9ffL & l) != 0L)
                     jjCheckNAddStates(173, 177);
                  break;
               case 10:
                  if ((0x400600000000000L & l) != 0L)
                     jjCheckNAddTwoStates(11, 12);
                  break;
               case 11:
                  if ((0x3ff0000ffffd9ffL & l) != 0L)
                     jjCheckNAddStates(178, 182);
                  break;
               case 13:
                  if ((0x100000200L & l) != 0L)
                     jjCheckNAddStates(183, 186);
                  break;
               case 15:
               case 16:
                  jjCheckNAddStates(183, 186);
                  break;
               case 20:
                  if (curChar == 47)
                     jjCheckNAddTwoStates(21, 22);
                  break;
               case 21:
                  if ((0x3ff0000ffffd9ffL & l) != 0L)
                     jjCheckNAddStates(187, 191);
                  break;
               case 23:
                  if ((0x400600000000000L & l) != 0L)
                     jjCheckNAddTwoStates(24, 25);
                  break;
               case 24:
                  if ((0x3ff0000ffffd9ffL & l) != 0L)
                     jjCheckNAddStates(192, 196);
                  break;
               case 26:
                  if ((0x100000200L & l) != 0L)
                     jjCheckNAddTwoStates(26, 28);
                  break;
               default : break;
            }
         } while(i != startsAt);
      }
      else if (curChar < 128)
      {
         long l = 1L << (curChar & 077);
         do
         {
            switch(jjstateSet[--i])
            {
               case 0:
                  if (kind > 20)
                     kind = 20;
                  if (curChar == 123)
                     jjAddStates(197, 198);
                  else if (curChar == 126)
                     jjAddStates(199, 200);
                  break;
               case 3:
                  if (curChar == 126)
                     jjAddStates(199, 200);
                  break;
               case 4:
                  if ((0x87fffffe07fffffeL & l) != 0L && kind > 20)
                     kind = 20;
                  break;
               case 5:
                  if ((0x78000001f8000001L & l) != 0L && kind > 20)
                     kind = 20;
                  break;
               case 6:
                  if (curChar == 123)
                     jjAddStates(197, 198);
                  break;
               case 7:
                  if (curChar == 123)
                     jjCheckNAddTwoStates(8, 9);
                  break;
               case 8:
                  if ((0x87fffffe07fffffeL & l) != 0L)
                     jjCheckNAddStates(173, 177);
                  break;
               case 9:
                  if (curChar == 126)
                     jjCheckNAdd(8);
                  break;
               case 10:
                  if (curChar == 95)
                     jjCheckNAddTwoStates(11, 12);
                  break;
               case 11:
                  if ((0x87fffffe07fffffeL & l) != 0L)
                     jjCheckNAddStates(178, 182);
                  break;
               case 12:
                  if (curChar == 126)
                     jjCheckNAdd(11);
                  break;
               case 14:
                  if (curChar == 126)
                     jjstateSet[jjnewStateCnt++] = 15;
                  break;
               case 15:
                  jjCheckNAddStates(183, 186);
                  break;
               case 16:
                  if ((0xdfffffffffffffffL & l) != 0L)
                     jjCheckNAddStates(183, 186);
                  break;
               case 17:
                  if (curChar == 125)
                     jjCheckNAdd(16);
                  break;
               case 18:
                  if (curChar == 125 && kind > 18)
                     kind = 18;
                  break;
               case 19:
                  if (curChar == 125)
                     jjstateSet[jjnewStateCnt++] = 18;
                  break;
               case 21:
                  if ((0x87fffffe07fffffeL & l) != 0L)
                     jjCheckNAddStates(187, 191);
                  break;
               case 22:
                  if (curChar == 126)
                     jjCheckNAdd(21);
                  break;
               case 23:
                  if (curChar == 95)
                     jjCheckNAddTwoStates(24, 25);
                  break;
               case 24:
                  if ((0x87fffffe07fffffeL & l) != 0L)
                     jjCheckNAddStates(192, 196);
                  break;
               case 25:
                  if (curChar == 126)
                     jjCheckNAdd(24);
                  break;
               case 27:
                  if (curChar == 125 && kind > 19)
                     kind = 19;
                  break;
               case 28:
                  if (curChar == 125)
                     jjstateSet[jjnewStateCnt++] = 27;
                  break;
               case 29:
                  if (curChar == 123)
                     jjstateSet[jjnewStateCnt++] = 20;
                  break;
               default : break;
            }
         } while(i != startsAt);
      }
      else
      {
         int hiByte = (int)(curChar >> 8);
         int i1 = hiByte >> 6;
         long l1 = 1L << (hiByte & 077);
         int i2 = (curChar & 0xff) >> 6;
         long l2 = 1L << (curChar & 077);
         do
         {
            switch(jjstateSet[--i])
            {
               case 0:
               case 4:
                  if (jjCanMove_0(hiByte, i1, i2, l1, l2) && kind > 20)
                     kind = 20;
                  break;
               case 8:
                  if (jjCanMove_0(hiByte, i1, i2, l1, l2))
                     jjCheckNAddStates(173, 177);
                  break;
               case 11:
                  if (jjCanMove_0(hiByte, i1, i2, l1, l2))
                     jjCheckNAddStates(178, 182);
                  break;
               case 15:
               case 16:
                  if (jjCanMove_0(hiByte, i1, i2, l1, l2))
                     jjCheckNAddStates(183, 186);
                  break;
               case 21:
                  if (jjCanMove_0(hiByte, i1, i2, l1, l2))
                     jjCheckNAddStates(187, 191);
                  break;
               case 24:
                  if (jjCanMove_0(hiByte, i1, i2, l1, l2))
                     jjCheckNAddStates(192, 196);
                  break;
               default : break;
            }
         } while(i != startsAt);
      }
      if (kind != 0x7fffffff)
      {
         jjmatchedKind = kind;
         jjmatchedPos = curPos;
         kind = 0x7fffffff;
      }
      ++curPos;
      if ((i = jjnewStateCnt) == (startsAt = 30 - (jjnewStateCnt = startsAt)))
         return curPos;
      try { curChar = input_stream.readChar(); }
      catch(java.io.IOException e) { return curPos; }
   }
}
private final int jjStopStringLiteralDfa_4(int pos, long active0)
{
   switch (pos)
   {
      case 0:
         if ((active0 & 0x10000L) != 0L)
            return 5;
         return -1;
      case 1:
         if ((active0 & 0x10000L) != 0L)
            return 4;
         return -1;
      default :
         return -1;
   }
}
private final int jjStartNfa_4(int pos, long active0)
{
   return jjMoveNfa_4(jjStopStringLiteralDfa_4(pos, active0), pos + 1);
}
private int jjMoveStringLiteralDfa0_4()
{
   switch(curChar)
   {
      case 125:
         return jjMoveStringLiteralDfa1_4(0x10000L);
      default :
         return jjMoveNfa_4(11, 0);
   }
}
private int jjMoveStringLiteralDfa1_4(long active0)
{
   try { curChar = input_stream.readChar(); }
   catch(java.io.IOException e) {
      jjStopStringLiteralDfa_4(0, active0);
      return 1;
   }
   switch(curChar)
   {
      case 125:
         return jjMoveStringLiteralDfa2_4(active0, 0x10000L);
      default :
         break;
   }
   return jjStartNfa_4(0, active0);
}
private int jjMoveStringLiteralDfa2_4(long old0, long active0)
{
   if (((active0 &= old0)) == 0L)
      return jjStartNfa_4(0, old0);
   try { curChar = input_stream.readChar(); }
   catch(java.io.IOException e) {
      jjStopStringLiteralDfa_4(1, active0);
      return 2;
   }
   switch(curChar)
   {
      case 125:
         if ((active0 & 0x10000L) != 0L)
            return jjStopAtPos(2, 16);
         break;
      default :
         break;
   }
   return jjStartNfa_4(1, active0);
}
private int jjMoveNfa_4(int startState, int curPos)
{
   int startsAt = 0;
   jjnewStateCnt = 14;
   int i = 1;
   jjstateSet[0] = startState;
   int kind = 0x7fffffff;
   for (;;)
   {
      if (++jjround == 0x7fffffff)
         ReInitRounds();
      if (curChar < 64)
      {
         long l = 1L << curChar;
         do
         {
            switch(jjstateSet[--i])
            {
               case 5:
               case 4:
               case 1:
               case 8:
                  if (kind > 17)
                     kind = 17;
                  jjCheckNAddStates(201, 206);
                  break;
               case 11:
               case 2:
                  if (kind > 17)
                     kind = 17;
                  jjCheckNAddStates(201, 206);
                  break;
               default : break;
            }
         } while(i != startsAt);
      }
      else if (curChar < 128)
      {
         long l = 1L << (curChar & 077);
         do
         {
            switch(jjstateSet[--i])
            {
               case 5:
                  if ((0xdfffffffffffffffL & l) != 0L)
                  {
                     if (kind > 17)
                        kind = 17;
                     jjCheckNAddStates(201, 206);
                  }
                  else if (curChar == 125)
                     jjCheckNAdd(4);
                  break;
               case 11:
                  if ((0x97ffffffffffffffL & l) != 0L)
                  {
                     if (kind > 17)
                        kind = 17;
                     jjCheckNAddStates(201, 206);
                  }
                  else if (curChar == 123)
                     jjCheckNAddTwoStates(13, 9);
                  else if (curChar == 125)
                     jjstateSet[jjnewStateCnt++] = 5;
                  else if (curChar == 126)
                     jjstateSet[jjnewStateCnt++] = 1;
                  if (curChar == 123)
                     jjCheckNAdd(8);
                  else if (curChar == 125)
                     jjCheckNAdd(4);
                  break;
               case 0:
                  if (curChar == 126)
                     jjstateSet[jjnewStateCnt++] = 1;
                  break;
               case 1:
                  if (kind > 17)
                     kind = 17;
                  jjCheckNAddStates(201, 206);
                  break;
               case 2:
                  if ((0x97ffffffffffffffL & l) == 0L)
                     break;
                  if (kind > 17)
                     kind = 17;
                  jjCheckNAddStates(201, 206);
                  break;
               case 3:
                  if (curChar == 125)
                     jjCheckNAdd(4);
                  break;
               case 4:
                  if ((0xdfffffffffffffffL & l) == 0L)
                     break;
                  if (kind > 17)
                     kind = 17;
                  jjCheckNAddStates(201, 206);
                  break;
               case 6:
                  if (curChar == 125)
                     jjstateSet[jjnewStateCnt++] = 5;
                  break;
               case 7:
               case 9:
                  if (curChar == 123)
                     jjCheckNAdd(8);
                  break;
               case 8:
                  if ((0xf7ffffffffffffffL & l) == 0L)
                     break;
                  if (kind > 17)
                     kind = 17;
                  jjCheckNAddStates(201, 206);
                  break;
               case 10:
                  if (curChar == 123)
                     jjCheckNAdd(9);
                  break;
               case 12:
                  if (curChar == 123 && kind > 15)
                     kind = 15;
                  break;
               case 13:
                  if (curChar == 123)
                     jjstateSet[jjnewStateCnt++] = 12;
                  break;
               default : break;
            }
         } while(i != startsAt);
      }
      else
      {
         int hiByte = (int)(curChar >> 8);
         int i1 = hiByte >> 6;
         long l1 = 1L << (hiByte & 077);
         int i2 = (curChar & 0xff) >> 6;
         long l2 = 1L << (curChar & 077);
         do
         {
            switch(jjstateSet[--i])
            {
               case 5:
               case 4:
               case 1:
               case 8:
                  if (!jjCanMove_0(hiByte, i1, i2, l1, l2))
                     break;
                  if (kind > 17)
                     kind = 17;
                  jjCheckNAddStates(201, 206);
                  break;
               case 11:
               case 2:
                  if (!jjCanMove_0(hiByte, i1, i2, l1, l2))
                     break;
                  if (kind > 17)
                     kind = 17;
                  jjCheckNAddStates(201, 206);
                  break;
               default : break;
            }
         } while(i != startsAt);
      }
      if (kind != 0x7fffffff)
      {
         jjmatchedKind = kind;
         jjmatchedPos = curPos;
         kind = 0x7fffffff;
      }
      ++curPos;
      if ((i = jjnewStateCnt) == (startsAt = 14 - (jjnewStateCnt = startsAt)))
         return curPos;
      try { curChar = input_stream.readChar(); }
      catch(java.io.IOException e) { return curPos; }
   }
}
private final int jjStopStringLiteralDfa_3(int pos, long active0, long active1)
{
   switch (pos)
   {
      case 0:
         if ((active1 & 0x4fe00L) != 0L)
         {
            jjmatchedKind = 88;
            return -1;
         }
         if ((active1 & 0x40L) != 0L)
         {
            jjmatchedKind = 88;
            return 171;
         }
         return -1;
      case 1:
         if ((active1 & 0x4fe00L) != 0L)
         {
            if (jjmatchedPos == 0)
            {
               jjmatchedKind = 88;
               jjmatchedPos = 0;
            }
            return -1;
         }
         if ((active1 & 0x40L) != 0L)
         {
            if (jjmatchedPos == 0)
            {
               jjmatchedKind = 88;
               jjmatchedPos = 0;
            }
            return 199;
         }
         return -1;
      default :
         return -1;
   }
}
private final int jjStartNfa_3(int pos, long active0, long active1)
{
   return jjMoveNfa_3(jjStopStringLiteralDfa_3(pos, active0, active1), pos + 1);
}
private int jjMoveStringLiteralDfa0_3()
{
   switch(curChar)
   {
      case 35:
         return jjMoveStringLiteralDfa1_3(0x8000L);
      case 42:
         return jjMoveStringLiteralDfa1_3(0x200L);
      case 44:
         return jjMoveStringLiteralDfa1_3(0x4000L);
      case 45:
         return jjMoveStringLiteralDfa1_3(0x800L);
      case 47:
         return jjMoveStringLiteralDfa1_3(0x400L);
      case 92:
         return jjMoveStringLiteralDfa1_3(0x40000L);
      case 94:
         return jjMoveStringLiteralDfa1_3(0x2000L);
      case 95:
         return jjMoveStringLiteralDfa1_3(0x1000L);
      case 123:
         return jjMoveStringLiteralDfa1_3(0x40L);
      default :
         return jjMoveNfa_3(21, 0);
   }
}
private int jjMoveStringLiteralDfa1_3(long active1)
{
   try { curChar = input_stream.readChar(); }
   catch(java.io.IOException e) {
      jjStopStringLiteralDfa_3(0, 0L, active1);
      return 1;
   }
   switch(curChar)
   {
      case 35:
         if ((active1 & 0x8000L) != 0L)
            return jjStopAtPos(1, 79);
         break;
      case 42:
         if ((active1 & 0x200L) != 0L)
            return jjStopAtPos(1, 73);
         break;
      case 44:
         if ((active1 & 0x4000L) != 0L)
            return jjStopAtPos(1, 78);
         break;
      case 45:
         if ((active1 & 0x800L) != 0L)
            return jjStopAtPos(1, 75);
         break;
      case 47:
         if ((active1 & 0x400L) != 0L)
            return jjStopAtPos(1, 74);
         break;
      case 92:
         if ((active1 & 0x40000L) != 0L)
            return jjStopAtPos(1, 82);
         break;
      case 94:
         if ((active1 & 0x2000L) != 0L)
            return jjStopAtPos(1, 77);
         break;
      case 95:
         if ((active1 & 0x1000L) != 0L)
            return jjStopAtPos(1, 76);
         break;
      case 123:
         return jjMoveStringLiteralDfa2_3(active1, 0x40L);
      default :
         break;
   }
   return jjStartNfa_3(0, 0L, active1);
}
private int jjMoveStringLiteralDfa2_3(long old1, long active1)
{
   if (((active1 &= old1)) == 0L)
      return jjStartNfa_3(0, 0L, old1);
   try { curChar = input_stream.readChar(); }
   catch(java.io.IOException e) {
      jjStopStringLiteralDfa_3(1, 0L, active1);
      return 2;
   }
   switch(curChar)
   {
      case 123:
         if ((active1 & 0x40L) != 0L)
            return jjStopAtPos(2, 70);
         break;
      default :
         break;
   }
   return jjStartNfa_3(1, 0L, active1);
}
private int jjMoveNfa_3(int startState, int curPos)
{
   int startsAt = 0;
   jjnewStateCnt = 199;
   int i = 1;
   jjstateSet[0] = startState;
   int kind = 0x7fffffff;
   for (;;)
   {
      if (++jjround == 0x7fffffff)
         ReInitRounds();
      if (curChar < 64)
      {
         long l = 1L << curChar;
         do
         {
            switch(jjstateSet[--i])
            {
               case 199:
                  if ((0x3ff0000ffffd9ffL & l) != 0L)
                     jjCheckNAddStates(207, 211);
                  if ((0x3ff0000ffffd9ffL & l) != 0L)
                     jjCheckNAddStates(212, 216);
                  break;
               case 21:
                  if ((0x3ff0000ffffd9ffL & l) != 0L)
                  {
                     if (kind > 87)
                        kind = 87;
                     jjCheckNAddTwoStates(114, 115);
                  }
                  else if ((0xfc00fffe00000000L & l) != 0L)
                  {
                     if (kind > 88)
                        kind = 88;
                  }
                  else if ((0x2400L & l) != 0L)
                  {
                     if (kind > 86)
                        kind = 86;
                     jjCheckNAddStates(217, 220);
                  }
                  else if ((0x100000200L & l) != 0L)
                  {
                     if (kind > 84)
                        kind = 84;
                     jjCheckNAddStates(221, 230);
                  }
                  if (curChar == 40)
                     jjCheckNAddStates(231, 233);
                  else if (curChar == 13)
                     jjAddStates(234, 236);
                  else if (curChar == 61)
                  {
                     if (kind > 13)
                        kind = 13;
                     jjCheckNAddStates(237, 240);
                  }
                  else if (curChar == 41)
                     jjstateSet[jjnewStateCnt++] = 112;
                  break;
               case 1:
                  if (curChar == 58)
                     jjCheckNAddStates(61, 64);
                  break;
               case 3:
               case 4:
                  jjCheckNAddStates(61, 64);
                  break;
               case 15:
               case 16:
                  jjCheckNAddStates(65, 69);
                  break;
               case 22:
                  if (curChar != 58)
                     break;
                  if (kind > 80)
                     kind = 80;
                  jjCheckNAddTwoStates(23, 24);
                  break;
               case 23:
                  if ((0xfffffffeffffd9ffL & l) == 0L)
                     break;
                  if (kind > 80)
                     kind = 80;
                  jjCheckNAddTwoStates(23, 24);
                  break;
               case 25:
                  if (kind > 80)
                     kind = 80;
                  jjCheckNAddTwoStates(23, 24);
                  break;
               case 26:
                  if ((0x3ff0000ffffd9ffL & l) == 0L)
                     break;
                  if (kind > 80)
                     kind = 80;
                  jjCheckNAddTwoStates(23, 24);
                  break;
               case 27:
                  if ((0xfc00fffe00000000L & l) == 0L)
                     break;
                  if (kind > 80)
                     kind = 80;
                  jjCheckNAddTwoStates(23, 24);
                  break;
               case 33:
                  if (curChar != 58)
                     break;
                  if (kind > 81)
                     kind = 81;
                  jjCheckNAddTwoStates(34, 35);
                  break;
               case 34:
                  if ((0xfffffffeffffd9ffL & l) == 0L)
                     break;
                  if (kind > 81)
                     kind = 81;
                  jjCheckNAddTwoStates(34, 35);
                  break;
               case 36:
                  if (kind > 81)
                     kind = 81;
                  jjCheckNAddTwoStates(34, 35);
                  break;
               case 37:
                  if ((0x3ff0000ffffd9ffL & l) == 0L)
                     break;
                  if (kind > 81)
                     kind = 81;
                  jjCheckNAddTwoStates(34, 35);
                  break;
               case 38:
                  if ((0xfc00fffe00000000L & l) == 0L)
                     break;
                  if (kind > 81)
                     kind = 81;
                  jjCheckNAddTwoStates(34, 35);
                  break;
               case 45:
                  if (curChar == 58)
                     jjAddStates(70, 72);
                  break;
               case 46:
                  if (curChar != 47)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(73, 76);
                  break;
               case 47:
                  if ((0x2fff6fd200000000L & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(77, 81);
                  break;
               case 48:
                  if (curChar == 37)
                     jjstateSet[jjnewStateCnt++] = 49;
                  break;
               case 49:
                  if ((0x3ff000000000000L & l) != 0L)
                     jjstateSet[jjnewStateCnt++] = 50;
                  break;
               case 50:
                  if ((0x3ff000000000000L & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(77, 81);
                  break;
               case 51:
                  if (curChar != 47)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(82, 86);
                  break;
               case 52:
                  if ((0x2fff6fd200000000L & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(82, 86);
                  break;
               case 53:
                  if (curChar == 37)
                     jjstateSet[jjnewStateCnt++] = 54;
                  break;
               case 54:
                  if ((0x3ff000000000000L & l) != 0L)
                     jjstateSet[jjnewStateCnt++] = 55;
                  break;
               case 55:
                  if ((0x3ff000000000000L & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(82, 86);
                  break;
               case 56:
                  if (curChar != 63)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(87, 89);
                  break;
               case 57:
                  if ((0xafffefd200000000L & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(87, 89);
                  break;
               case 58:
                  if (curChar == 37)
                     jjstateSet[jjnewStateCnt++] = 59;
                  break;
               case 59:
                  if ((0x3ff000000000000L & l) != 0L)
                     jjstateSet[jjnewStateCnt++] = 60;
                  break;
               case 60:
                  if ((0x3ff000000000000L & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(87, 89);
                  break;
               case 61:
                  if (curChar != 35)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddTwoStates(62, 63);
                  break;
               case 62:
                  if ((0xafffefd200000000L & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddTwoStates(62, 63);
                  break;
               case 63:
                  if (curChar == 37)
                     jjstateSet[jjnewStateCnt++] = 64;
                  break;
               case 64:
                  if ((0x3ff000000000000L & l) != 0L)
                     jjstateSet[jjnewStateCnt++] = 65;
                  break;
               case 65:
                  if ((0x3ff000000000000L & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddTwoStates(62, 63);
                  break;
               case 66:
                  if (curChar == 37)
                     jjstateSet[jjnewStateCnt++] = 67;
                  break;
               case 67:
                  if ((0x3ff000000000000L & l) != 0L)
                     jjstateSet[jjnewStateCnt++] = 68;
                  break;
               case 68:
                  if ((0x3ff000000000000L & l) != 0L)
                     jjCheckNAddTwoStates(69, 72);
                  break;
               case 69:
                  if (curChar == 37)
                     jjstateSet[jjnewStateCnt++] = 70;
                  break;
               case 70:
                  if ((0x3ff000000000000L & l) != 0L)
                     jjstateSet[jjnewStateCnt++] = 71;
                  break;
               case 71:
                  if ((0x3ff000000000000L & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(90, 94);
                  break;
               case 72:
                  if ((0x2bff6fd200000000L & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(90, 94);
                  break;
               case 73:
                  if (curChar != 47)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(95, 99);
                  break;
               case 74:
                  if ((0x2fff6fd200000000L & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(95, 99);
                  break;
               case 75:
                  if (curChar == 37)
                     jjstateSet[jjnewStateCnt++] = 76;
                  break;
               case 76:
                  if ((0x3ff000000000000L & l) != 0L)
                     jjstateSet[jjnewStateCnt++] = 77;
                  break;
               case 77:
                  if ((0x3ff000000000000L & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(95, 99);
                  break;
               case 78:
                  if ((0x2bff6fd200000000L & l) != 0L)
                     jjCheckNAddTwoStates(69, 72);
                  break;
               case 86:
                  if ((0x3ff680000000000L & l) != 0L)
                     jjCheckNAddStates(100, 102);
                  break;
               case 87:
                  if (curChar == 58)
                     jjstateSet[jjnewStateCnt++] = 88;
                  break;
               case 89:
                  if ((0x3ff680000000000L & l) != 0L)
                     jjCheckNAddStates(103, 105);
                  break;
               case 90:
                  if (curChar != 47)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(106, 113);
                  break;
               case 91:
                  if ((0x2fff6fd200000000L & l) != 0L)
                     jjCheckNAddStates(114, 116);
                  break;
               case 92:
                  if (curChar == 37)
                     jjCheckNAdd(93);
                  break;
               case 93:
                  if ((0x3ff000000000000L & l) != 0L)
                     jjstateSet[jjnewStateCnt++] = 94;
                  break;
               case 94:
                  if ((0x3ff000000000000L & l) != 0L)
                     jjCheckNAddStates(114, 116);
                  break;
               case 96:
                  if (curChar == 37)
                     jjCheckNAdd(97);
                  break;
               case 97:
                  if ((0x3ff000000000000L & l) != 0L)
                     jjstateSet[jjnewStateCnt++] = 98;
                  break;
               case 98:
                  if ((0x3ff000000000000L & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(117, 122);
                  break;
               case 99:
                  if ((0x2bff6fd200000000L & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(117, 122);
                  break;
               case 100:
                  if (curChar == 58)
                     jjCheckNAdd(101);
                  break;
               case 101:
                  if ((0x3ff000000000000L & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(123, 126);
                  break;
               case 102:
                  if (curChar != 47)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(127, 131);
                  break;
               case 103:
                  if ((0x2fff6fd200000000L & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(127, 131);
                  break;
               case 104:
                  if (curChar == 37)
                     jjstateSet[jjnewStateCnt++] = 105;
                  break;
               case 105:
                  if ((0x3ff000000000000L & l) != 0L)
                     jjstateSet[jjnewStateCnt++] = 106;
                  break;
               case 106:
                  if ((0x3ff000000000000L & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(127, 131);
                  break;
               case 107:
                  if (curChar == 37)
                     jjCheckNAddTwoStates(93, 97);
                  break;
               case 108:
                  if (curChar == 47)
                     jjstateSet[jjnewStateCnt++] = 90;
                  break;
               case 109:
                  if (curChar == 58)
                     jjstateSet[jjnewStateCnt++] = 108;
                  break;
               case 110:
                  if (curChar != 41)
                     break;
                  if (kind > 85)
                     kind = 85;
                  jjCheckNAdd(111);
                  break;
               case 111:
                  if ((0x100000200L & l) == 0L)
                     break;
                  if (kind > 85)
                     kind = 85;
                  jjCheckNAdd(111);
                  break;
               case 112:
                  if (curChar == 41)
                     jjstateSet[jjnewStateCnt++] = 110;
                  break;
               case 113:
                  if (curChar == 41)
                     jjstateSet[jjnewStateCnt++] = 112;
                  break;
               case 114:
                  if ((0x3ff0000ffffd9ffL & l) == 0L)
                     break;
                  if (kind > 87)
                     kind = 87;
                  jjCheckNAddTwoStates(114, 115);
                  break;
               case 116:
                  if ((0xfc00fffe00000000L & l) != 0L && kind > 88)
                     kind = 88;
                  break;
               case 117:
                  if ((0x100000200L & l) == 0L)
                     break;
                  if (kind > 84)
                     kind = 84;
                  jjCheckNAddStates(221, 230);
                  break;
               case 118:
                  if ((0x100000200L & l) != 0L)
                     jjCheckNAddTwoStates(118, 119);
                  break;
               case 119:
                  if (curChar == 61)
                     jjCheckNAddStates(241, 243);
                  break;
               case 120:
                  if (curChar == 10 && kind > 12)
                     kind = 12;
                  break;
               case 121:
                  if (curChar == 13)
                     jjstateSet[jjnewStateCnt++] = 120;
                  break;
               case 122:
                  if ((0x2400L & l) != 0L && kind > 12)
                     kind = 12;
                  break;
               case 123:
                  if ((0x100000200L & l) != 0L)
                     jjCheckNAddTwoStates(123, 124);
                  break;
               case 124:
                  if (curChar != 61)
                     break;
                  if (kind > 13)
                     kind = 13;
                  jjCheckNAdd(124);
                  break;
               case 125:
                  if ((0x100000200L & l) != 0L)
                     jjCheckNAddTwoStates(125, 129);
                  break;
               case 126:
                  if (curChar != 40)
                     break;
                  if (kind > 68)
                     kind = 68;
                  jjCheckNAdd(127);
                  break;
               case 127:
                  if ((0x100000200L & l) == 0L)
                     break;
                  if (kind > 68)
                     kind = 68;
                  jjCheckNAdd(127);
                  break;
               case 128:
                  if (curChar == 40)
                     jjstateSet[jjnewStateCnt++] = 126;
                  break;
               case 129:
                  if (curChar == 40)
                     jjCheckNAdd(128);
                  break;
               case 130:
                  if ((0x100000200L & l) == 0L)
                     break;
                  if (kind > 84)
                     kind = 84;
                  jjCheckNAddTwoStates(130, 131);
                  break;
               case 132:
                  if ((0x100000200L & l) != 0L)
                     jjCheckNAddTwoStates(132, 113);
                  break;
               case 133:
                  if (curChar != 61)
                     break;
                  if (kind > 13)
                     kind = 13;
                  jjCheckNAddStates(237, 240);
                  break;
               case 134:
                  if (curChar == 13)
                     jjAddStates(234, 236);
                  break;
               case 135:
                  if (curChar == 10)
                     jjCheckNAddTwoStates(136, 137);
                  break;
               case 136:
                  if ((0x100000200L & l) != 0L)
                     jjCheckNAddTwoStates(136, 137);
                  break;
               case 137:
                  if (curChar != 61)
                     break;
                  if (kind > 14)
                     kind = 14;
                  jjCheckNAddTwoStates(137, 138);
                  break;
               case 138:
                  if ((0x100000200L & l) == 0L)
                     break;
                  if (kind > 14)
                     kind = 14;
                  jjCheckNAdd(138);
                  break;
               case 139:
                  if (curChar == 10 && kind > 86)
                     kind = 86;
                  break;
               case 140:
                  if (curChar == 10)
                     jjCheckNAddTwoStates(142, 143);
                  break;
               case 141:
                  if (curChar == 10 && kind > 90)
                     kind = 90;
                  break;
               case 142:
                  if (curChar == 13)
                     jjstateSet[jjnewStateCnt++] = 141;
                  break;
               case 143:
                  if ((0x2400L & l) != 0L && kind > 90)
                     kind = 90;
                  break;
               case 144:
                  if ((0x2400L & l) == 0L)
                     break;
                  if (kind > 86)
                     kind = 86;
                  jjCheckNAddStates(217, 220);
                  break;
               case 145:
                  if (curChar == 40)
                     jjCheckNAddStates(231, 233);
                  break;
               case 146:
                  if (curChar == 37)
                     jjCheckNAddStates(244, 247);
                  break;
               case 148:
                  jjCheckNAddStates(244, 247);
                  break;
               case 149:
                  if ((0xffffffdfffffffffL & l) != 0L)
                     jjCheckNAddStates(244, 247);
                  break;
               case 150:
                  if (curChar == 37)
                     jjstateSet[jjnewStateCnt++] = 151;
                  break;
               case 151:
                  if ((0xfffffdffffffffffL & l) != 0L)
                     jjCheckNAddStates(244, 247);
                  break;
               case 152:
                  if (curChar == 41)
                     jjCheckNAddStates(248, 251);
                  break;
               case 153:
                  if ((0x100000200L & l) != 0L)
                     jjCheckNAddStates(248, 251);
                  break;
               case 154:
                  if (curChar == 10)
                     jjCheckNAddTwoStates(155, 158);
                  break;
               case 155:
                  if ((0x100000200L & l) != 0L)
                     jjCheckNAddTwoStates(155, 158);
                  break;
               case 156:
                  if (curChar == 40 && kind > 66)
                     kind = 66;
                  break;
               case 157:
                  if (curChar == 40)
                     jjstateSet[jjnewStateCnt++] = 156;
                  break;
               case 158:
                  if (curChar == 40)
                     jjstateSet[jjnewStateCnt++] = 157;
                  break;
               case 159:
                  if (curChar == 13)
                     jjstateSet[jjnewStateCnt++] = 154;
                  break;
               case 160:
                  if ((0x2400L & l) != 0L)
                     jjCheckNAddTwoStates(155, 158);
                  break;
               case 161:
                  if (curChar == 37)
                     jjstateSet[jjnewStateCnt++] = 152;
                  break;
               case 162:
                  if (curChar == 37)
                     jjCheckNAddStates(252, 255);
                  break;
               case 164:
                  jjCheckNAddStates(252, 255);
                  break;
               case 165:
                  if ((0xffffffdfffffffffL & l) != 0L)
                     jjCheckNAddStates(252, 255);
                  break;
               case 166:
                  if (curChar == 37)
                     jjstateSet[jjnewStateCnt++] = 167;
                  break;
               case 167:
                  if ((0xfffffdffffffffffL & l) != 0L)
                     jjCheckNAddStates(252, 255);
                  break;
               case 168:
                  if (curChar == 41 && kind > 67)
                     kind = 67;
                  break;
               case 169:
                  if (curChar == 37)
                     jjstateSet[jjnewStateCnt++] = 168;
                  break;
               case 172:
                  if ((0x3ff0000ffffd9ffL & l) != 0L)
                     jjCheckNAddStates(212, 216);
                  break;
               case 174:
                  if ((0x400600000000000L & l) != 0L)
                     jjCheckNAddTwoStates(175, 176);
                  break;
               case 175:
                  if ((0x3ff0000ffffd9ffL & l) != 0L)
                     jjCheckNAddStates(256, 260);
                  break;
               case 177:
                  if ((0x100000200L & l) != 0L)
                     jjCheckNAddStates(261, 264);
                  break;
               case 179:
               case 180:
                  jjCheckNAddStates(261, 264);
                  break;
               case 184:
                  if (curChar == 47)
                     jjstateSet[jjnewStateCnt++] = 183;
                  break;
               case 186:
                  if ((0x3ff0000ffffd9ffL & l) != 0L)
                     jjCheckNAddStates(207, 211);
                  break;
               case 188:
                  if ((0x400600000000000L & l) != 0L)
                     jjCheckNAddTwoStates(189, 190);
                  break;
               case 189:
                  if ((0x3ff0000ffffd9ffL & l) != 0L)
                     jjCheckNAddStates(265, 269);
                  break;
               case 191:
                  if ((0x100000200L & l) != 0L)
                     jjCheckNAddStates(270, 273);
                  break;
               case 193:
               case 194:
                  jjCheckNAddStates(270, 273);
                  break;
               default : break;
            }
         } while(i != startsAt);
      }
      else if (curChar < 128)
      {
         long l = 1L << (curChar & 077);
         do
         {
            switch(jjstateSet[--i])
            {
               case 171:
                  if (curChar == 123)
                     jjCheckNAddTwoStates(186, 187);
                  if (curChar == 123)
                     jjCheckNAddTwoStates(172, 173);
                  break;
               case 199:
                  if ((0x87fffffe07fffffeL & l) != 0L)
                     jjCheckNAddStates(207, 211);
                  else if (curChar == 126)
                     jjCheckNAdd(186);
                  if ((0x87fffffe07fffffeL & l) != 0L)
                     jjCheckNAddStates(212, 216);
                  else if (curChar == 126)
                     jjCheckNAdd(172);
                  break;
               case 21:
                  if ((0x87fffffe07fffffeL & l) != 0L)
                  {
                     if (kind > 87)
                        kind = 87;
                     jjCheckNAddTwoStates(114, 115);
                  }
                  else if ((0x78000001f8000001L & l) != 0L)
                  {
                     if (kind > 88)
                        kind = 88;
                  }
                  if ((0x7fffffe07fffffeL & l) != 0L)
                     jjCheckNAddStates(100, 102);
                  else if (curChar == 126)
                     jjCheckNAddStates(274, 276);
                  else if (curChar == 123)
                     jjAddStates(277, 278);
                  else if (curChar == 91)
                     jjstateSet[jjnewStateCnt++] = 0;
                  if (curChar == 109)
                     jjstateSet[jjnewStateCnt++] = 83;
                  else if (curChar == 97)
                     jjstateSet[jjnewStateCnt++] = 43;
                  else if (curChar == 105)
                     jjstateSet[jjnewStateCnt++] = 31;
                  break;
               case 0:
                  if (curChar == 91)
                     jjCheckNAddStates(65, 69);
                  break;
               case 2:
                  if (curChar == 126)
                     jjstateSet[jjnewStateCnt++] = 3;
                  break;
               case 3:
                  jjCheckNAddStates(61, 64);
                  break;
               case 4:
                  if ((0xffffffffdfffffffL & l) != 0L)
                     jjCheckNAddStates(61, 64);
                  break;
               case 5:
                  if (curChar == 93)
                     jjCheckNAdd(4);
                  break;
               case 6:
                  if (curChar == 93)
                     jjCheckNAddStates(65, 69);
                  break;
               case 7:
                  if (curChar == 101)
                     jjstateSet[jjnewStateCnt++] = 1;
                  break;
               case 8:
                  if (curChar == 103)
                     jjstateSet[jjnewStateCnt++] = 7;
                  break;
               case 9:
                  if (curChar == 97)
                     jjstateSet[jjnewStateCnt++] = 8;
                  break;
               case 10:
                  if (curChar == 109)
                     jjstateSet[jjnewStateCnt++] = 9;
                  break;
               case 11:
                  if (curChar == 105)
                     jjstateSet[jjnewStateCnt++] = 10;
                  break;
               case 12:
                  if (curChar == 91)
                     jjstateSet[jjnewStateCnt++] = 11;
                  break;
               case 13:
                  if (curChar == 91)
                     jjstateSet[jjnewStateCnt++] = 12;
                  break;
               case 14:
                  if (curChar == 126)
                     jjstateSet[jjnewStateCnt++] = 15;
                  break;
               case 15:
                  jjCheckNAddStates(65, 69);
                  break;
               case 16:
                  if ((0xffffffffdfffffffL & l) != 0L)
                     jjCheckNAddStates(65, 69);
                  break;
               case 17:
                  if (curChar == 93)
                     jjCheckNAdd(16);
                  break;
               case 18:
                  if (curChar == 93 && kind > 69)
                     kind = 69;
                  break;
               case 19:
                  if (curChar == 93)
                     jjstateSet[jjnewStateCnt++] = 18;
                  break;
               case 20:
                  if (curChar == 93)
                     jjstateSet[jjnewStateCnt++] = 6;
                  break;
               case 23:
               case 25:
                  if (kind > 80)
                     kind = 80;
                  jjCheckNAddTwoStates(23, 24);
                  break;
               case 24:
                  if (curChar == 126)
                     jjAddStates(167, 169);
                  break;
               case 26:
                  if ((0x87fffffe07fffffeL & l) == 0L)
                     break;
                  if (kind > 80)
                     kind = 80;
                  jjCheckNAddTwoStates(23, 24);
                  break;
               case 27:
                  if ((0x78000001f8000001L & l) == 0L)
                     break;
                  if (kind > 80)
                     kind = 80;
                  jjCheckNAddTwoStates(23, 24);
                  break;
               case 28:
                  if (curChar == 101)
                     jjstateSet[jjnewStateCnt++] = 22;
                  break;
               case 29:
                  if (curChar == 103)
                     jjstateSet[jjnewStateCnt++] = 28;
                  break;
               case 30:
                  if (curChar == 97)
                     jjstateSet[jjnewStateCnt++] = 29;
                  break;
               case 31:
                  if (curChar == 109)
                     jjstateSet[jjnewStateCnt++] = 30;
                  break;
               case 32:
                  if (curChar == 105)
                     jjstateSet[jjnewStateCnt++] = 31;
                  break;
               case 34:
               case 36:
                  if (kind > 81)
                     kind = 81;
                  jjCheckNAddTwoStates(34, 35);
                  break;
               case 35:
                  if (curChar == 126)
                     jjAddStates(170, 172);
                  break;
               case 37:
                  if ((0x87fffffe07fffffeL & l) == 0L)
                     break;
                  if (kind > 81)
                     kind = 81;
                  jjCheckNAddTwoStates(34, 35);
                  break;
               case 38:
                  if ((0x78000001f8000001L & l) == 0L)
                     break;
                  if (kind > 81)
                     kind = 81;
                  jjCheckNAddTwoStates(34, 35);
                  break;
               case 39:
                  if (curChar == 104)
                     jjstateSet[jjnewStateCnt++] = 33;
                  break;
               case 40:
                  if (curChar == 99)
                     jjstateSet[jjnewStateCnt++] = 39;
                  break;
               case 41:
                  if (curChar == 97)
                     jjstateSet[jjnewStateCnt++] = 40;
                  break;
               case 42:
                  if (curChar == 116)
                     jjstateSet[jjnewStateCnt++] = 41;
                  break;
               case 43:
                  if (curChar == 116)
                     jjstateSet[jjnewStateCnt++] = 42;
                  break;
               case 44:
                  if (curChar == 97)
                     jjstateSet[jjnewStateCnt++] = 43;
                  break;
               case 47:
                  if ((0x47fffffe87ffffffL & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(77, 81);
                  break;
               case 49:
                  if ((0x7e0000007eL & l) != 0L)
                     jjstateSet[jjnewStateCnt++] = 50;
                  break;
               case 50:
                  if ((0x7e0000007eL & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(77, 81);
                  break;
               case 52:
                  if ((0x47fffffe87ffffffL & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(82, 86);
                  break;
               case 54:
                  if ((0x7e0000007eL & l) != 0L)
                     jjstateSet[jjnewStateCnt++] = 55;
                  break;
               case 55:
                  if ((0x7e0000007eL & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(82, 86);
                  break;
               case 57:
                  if ((0x47fffffe87ffffffL & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(87, 89);
                  break;
               case 59:
                  if ((0x7e0000007eL & l) != 0L)
                     jjstateSet[jjnewStateCnt++] = 60;
                  break;
               case 60:
                  if ((0x7e0000007eL & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(87, 89);
                  break;
               case 62:
                  if ((0x47fffffe87ffffffL & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddTwoStates(62, 63);
                  break;
               case 64:
                  if ((0x7e0000007eL & l) != 0L)
                     jjstateSet[jjnewStateCnt++] = 65;
                  break;
               case 65:
                  if ((0x7e0000007eL & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddTwoStates(62, 63);
                  break;
               case 67:
                  if ((0x7e0000007eL & l) != 0L)
                     jjstateSet[jjnewStateCnt++] = 68;
                  break;
               case 68:
                  if ((0x7e0000007eL & l) != 0L)
                     jjCheckNAddTwoStates(69, 72);
                  break;
               case 70:
                  if ((0x7e0000007eL & l) != 0L)
                     jjstateSet[jjnewStateCnt++] = 71;
                  break;
               case 71:
                  if ((0x7e0000007eL & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(90, 94);
                  break;
               case 72:
                  if ((0x47fffffe87ffffffL & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(90, 94);
                  break;
               case 74:
                  if ((0x47fffffe87ffffffL & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(95, 99);
                  break;
               case 76:
                  if ((0x7e0000007eL & l) != 0L)
                     jjstateSet[jjnewStateCnt++] = 77;
                  break;
               case 77:
                  if ((0x7e0000007eL & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(95, 99);
                  break;
               case 78:
                  if ((0x47fffffe87fffffeL & l) != 0L)
                     jjCheckNAddTwoStates(69, 72);
                  break;
               case 79:
                  if (curChar == 111)
                     jjstateSet[jjnewStateCnt++] = 45;
                  break;
               case 80:
                  if (curChar == 116)
                     jjstateSet[jjnewStateCnt++] = 79;
                  break;
               case 81:
                  if (curChar == 108)
                     jjstateSet[jjnewStateCnt++] = 80;
                  break;
               case 82:
                  if (curChar == 105)
                     jjstateSet[jjnewStateCnt++] = 81;
                  break;
               case 83:
                  if (curChar == 97)
                     jjstateSet[jjnewStateCnt++] = 82;
                  break;
               case 84:
                  if (curChar == 109)
                     jjstateSet[jjnewStateCnt++] = 83;
                  break;
               case 85:
               case 86:
                  if ((0x7fffffe07fffffeL & l) != 0L)
                     jjCheckNAddStates(100, 102);
                  break;
               case 88:
               case 89:
                  if ((0x7fffffe07fffffeL & l) != 0L)
                     jjCheckNAddStates(103, 105);
                  break;
               case 91:
                  if ((0x47fffffe87fffffeL & l) != 0L)
                     jjCheckNAddStates(114, 116);
                  break;
               case 93:
                  if ((0x7e0000007eL & l) != 0L)
                     jjstateSet[jjnewStateCnt++] = 94;
                  break;
               case 94:
                  if ((0x7e0000007eL & l) != 0L)
                     jjCheckNAddStates(114, 116);
                  break;
               case 95:
                  if (curChar != 64)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(117, 122);
                  break;
               case 97:
                  if ((0x7e0000007eL & l) != 0L)
                     jjstateSet[jjnewStateCnt++] = 98;
                  break;
               case 98:
                  if ((0x7e0000007eL & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(117, 122);
                  break;
               case 99:
                  if ((0x47fffffe87fffffeL & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(117, 122);
                  break;
               case 103:
                  if ((0x47fffffe87ffffffL & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(127, 131);
                  break;
               case 105:
                  if ((0x7e0000007eL & l) != 0L)
                     jjstateSet[jjnewStateCnt++] = 106;
                  break;
               case 106:
                  if ((0x7e0000007eL & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(127, 131);
                  break;
               case 114:
                  if ((0x87fffffe07fffffeL & l) == 0L)
                     break;
                  if (kind > 87)
                     kind = 87;
                  jjCheckNAddTwoStates(114, 115);
                  break;
               case 115:
                  if (curChar == 126)
                     jjCheckNAdd(114);
                  break;
               case 116:
                  if ((0x78000001f8000001L & l) != 0L && kind > 88)
                     kind = 88;
                  break;
               case 131:
                  if (curChar == 126)
                     jjCheckNAdd(130);
                  break;
               case 147:
                  if (curChar == 126)
                     jjstateSet[jjnewStateCnt++] = 148;
                  break;
               case 148:
               case 149:
               case 151:
                  jjCheckNAddStates(244, 247);
                  break;
               case 163:
                  if (curChar == 126)
                     jjstateSet[jjnewStateCnt++] = 164;
                  break;
               case 164:
               case 165:
               case 167:
                  jjCheckNAddStates(252, 255);
                  break;
               case 170:
                  if (curChar == 123)
                     jjAddStates(277, 278);
                  break;
               case 172:
                  if ((0x87fffffe07fffffeL & l) != 0L)
                     jjCheckNAddStates(212, 216);
                  break;
               case 173:
                  if (curChar == 126)
                     jjCheckNAdd(172);
                  break;
               case 174:
                  if (curChar == 95)
                     jjCheckNAddTwoStates(175, 176);
                  break;
               case 175:
                  if ((0x87fffffe07fffffeL & l) != 0L)
                     jjCheckNAddStates(256, 260);
                  break;
               case 176:
                  if (curChar == 126)
                     jjCheckNAdd(175);
                  break;
               case 178:
                  if (curChar == 126)
                     jjstateSet[jjnewStateCnt++] = 179;
                  break;
               case 179:
                  jjCheckNAddStates(261, 264);
                  break;
               case 180:
                  if ((0xdfffffffffffffffL & l) != 0L)
                     jjCheckNAddStates(261, 264);
                  break;
               case 181:
                  if (curChar == 125)
                     jjCheckNAdd(180);
                  break;
               case 182:
                  if (curChar == 125 && kind > 71)
                     kind = 71;
                  break;
               case 183:
                  if (curChar == 125)
                     jjstateSet[jjnewStateCnt++] = 182;
                  break;
               case 185:
                  if (curChar == 123)
                     jjCheckNAddTwoStates(186, 187);
                  break;
               case 186:
                  if ((0x87fffffe07fffffeL & l) != 0L)
                     jjCheckNAddStates(207, 211);
                  break;
               case 187:
                  if (curChar == 126)
                     jjCheckNAdd(186);
                  break;
               case 188:
                  if (curChar == 95)
                     jjCheckNAddTwoStates(189, 190);
                  break;
               case 189:
                  if ((0x87fffffe07fffffeL & l) != 0L)
                     jjCheckNAddStates(265, 269);
                  break;
               case 190:
                  if (curChar == 126)
                     jjCheckNAdd(189);
                  break;
               case 192:
                  if (curChar == 126)
                     jjstateSet[jjnewStateCnt++] = 193;
                  break;
               case 193:
                  jjCheckNAddStates(270, 273);
                  break;
               case 194:
                  if ((0xdfffffffffffffffL & l) != 0L)
                     jjCheckNAddStates(270, 273);
                  break;
               case 195:
                  if (curChar == 125)
                     jjCheckNAdd(194);
                  break;
               case 196:
                  if (curChar == 125 && kind > 72)
                     kind = 72;
                  break;
               case 197:
                  if (curChar == 125)
                     jjstateSet[jjnewStateCnt++] = 196;
                  break;
               case 198:
                  if (curChar == 126)
                     jjCheckNAddStates(274, 276);
                  break;
               default : break;
            }
         } while(i != startsAt);
      }
      else
      {
         int hiByte = (int)(curChar >> 8);
         int i1 = hiByte >> 6;
         long l1 = 1L << (hiByte & 077);
         int i2 = (curChar & 0xff) >> 6;
         long l2 = 1L << (curChar & 077);
         do
         {
            switch(jjstateSet[--i])
            {
               case 199:
                  if (jjCanMove_0(hiByte, i1, i2, l1, l2))
                     jjCheckNAddStates(212, 216);
                  if (jjCanMove_0(hiByte, i1, i2, l1, l2))
                     jjCheckNAddStates(207, 211);
                  break;
               case 21:
               case 114:
                  if (!jjCanMove_0(hiByte, i1, i2, l1, l2))
                     break;
                  if (kind > 87)
                     kind = 87;
                  jjCheckNAddTwoStates(114, 115);
                  break;
               case 3:
               case 4:
                  if (jjCanMove_0(hiByte, i1, i2, l1, l2))
                     jjCheckNAddStates(61, 64);
                  break;
               case 15:
               case 16:
                  if (jjCanMove_0(hiByte, i1, i2, l1, l2))
                     jjCheckNAddStates(65, 69);
                  break;
               case 23:
               case 25:
               case 26:
                  if (!jjCanMove_0(hiByte, i1, i2, l1, l2))
                     break;
                  if (kind > 80)
                     kind = 80;
                  jjCheckNAddTwoStates(23, 24);
                  break;
               case 34:
               case 36:
               case 37:
                  if (!jjCanMove_0(hiByte, i1, i2, l1, l2))
                     break;
                  if (kind > 81)
                     kind = 81;
                  jjCheckNAddTwoStates(34, 35);
                  break;
               case 148:
               case 149:
               case 151:
                  if (jjCanMove_0(hiByte, i1, i2, l1, l2))
                     jjCheckNAddStates(244, 247);
                  break;
               case 164:
               case 165:
               case 167:
                  if (jjCanMove_0(hiByte, i1, i2, l1, l2))
                     jjCheckNAddStates(252, 255);
                  break;
               case 172:
                  if (jjCanMove_0(hiByte, i1, i2, l1, l2))
                     jjCheckNAddStates(212, 216);
                  break;
               case 175:
                  if (jjCanMove_0(hiByte, i1, i2, l1, l2))
                     jjCheckNAddStates(256, 260);
                  break;
               case 179:
               case 180:
                  if (jjCanMove_0(hiByte, i1, i2, l1, l2))
                     jjCheckNAddStates(261, 264);
                  break;
               case 186:
                  if (jjCanMove_0(hiByte, i1, i2, l1, l2))
                     jjCheckNAddStates(207, 211);
                  break;
               case 189:
                  if (jjCanMove_0(hiByte, i1, i2, l1, l2))
                     jjCheckNAddStates(265, 269);
                  break;
               case 193:
               case 194:
                  if (jjCanMove_0(hiByte, i1, i2, l1, l2))
                     jjCheckNAddStates(270, 273);
                  break;
               default : break;
            }
         } while(i != startsAt);
      }
      if (kind != 0x7fffffff)
      {
         jjmatchedKind = kind;
         jjmatchedPos = curPos;
         kind = 0x7fffffff;
      }
      ++curPos;
      if ((i = jjnewStateCnt) == (startsAt = 199 - (jjnewStateCnt = startsAt)))
         return curPos;
      try { curChar = input_stream.readChar(); }
      catch(java.io.IOException e) { return curPos; }
   }
}
private final int jjStopStringLiteralDfa_2(int pos, long active0, long active1)
{
   switch (pos)
   {
      case 0:
         if ((active1 & 0x4fe00L) != 0L)
         {
            jjmatchedKind = 88;
            return -1;
         }
         if ((active1 & 0x40L) != 0L)
         {
            jjmatchedKind = 88;
            return 157;
         }
         return -1;
      case 1:
         if ((active1 & 0x4fe00L) != 0L)
         {
            if (jjmatchedPos == 0)
            {
               jjmatchedKind = 88;
               jjmatchedPos = 0;
            }
            return -1;
         }
         if ((active1 & 0x40L) != 0L)
         {
            if (jjmatchedPos == 0)
            {
               jjmatchedKind = 88;
               jjmatchedPos = 0;
            }
            return 192;
         }
         return -1;
      default :
         return -1;
   }
}
private final int jjStartNfa_2(int pos, long active0, long active1)
{
   return jjMoveNfa_2(jjStopStringLiteralDfa_2(pos, active0, active1), pos + 1);
}
private int jjMoveStringLiteralDfa0_2()
{
   switch(curChar)
   {
      case 35:
         return jjMoveStringLiteralDfa1_2(0x8000L);
      case 42:
         return jjMoveStringLiteralDfa1_2(0x200L);
      case 44:
         return jjMoveStringLiteralDfa1_2(0x4000L);
      case 45:
         return jjMoveStringLiteralDfa1_2(0x800L);
      case 47:
         return jjMoveStringLiteralDfa1_2(0x400L);
      case 92:
         return jjMoveStringLiteralDfa1_2(0x40000L);
      case 94:
         return jjMoveStringLiteralDfa1_2(0x2000L);
      case 95:
         return jjMoveStringLiteralDfa1_2(0x1000L);
      case 123:
         return jjMoveStringLiteralDfa1_2(0x40L);
      default :
         return jjMoveNfa_2(1, 0);
   }
}
private int jjMoveStringLiteralDfa1_2(long active1)
{
   try { curChar = input_stream.readChar(); }
   catch(java.io.IOException e) {
      jjStopStringLiteralDfa_2(0, 0L, active1);
      return 1;
   }
   switch(curChar)
   {
      case 35:
         if ((active1 & 0x8000L) != 0L)
            return jjStopAtPos(1, 79);
         break;
      case 42:
         if ((active1 & 0x200L) != 0L)
            return jjStopAtPos(1, 73);
         break;
      case 44:
         if ((active1 & 0x4000L) != 0L)
            return jjStopAtPos(1, 78);
         break;
      case 45:
         if ((active1 & 0x800L) != 0L)
            return jjStopAtPos(1, 75);
         break;
      case 47:
         if ((active1 & 0x400L) != 0L)
            return jjStopAtPos(1, 74);
         break;
      case 92:
         if ((active1 & 0x40000L) != 0L)
            return jjStopAtPos(1, 82);
         break;
      case 94:
         if ((active1 & 0x2000L) != 0L)
            return jjStopAtPos(1, 77);
         break;
      case 95:
         if ((active1 & 0x1000L) != 0L)
            return jjStopAtPos(1, 76);
         break;
      case 123:
         return jjMoveStringLiteralDfa2_2(active1, 0x40L);
      default :
         break;
   }
   return jjStartNfa_2(0, 0L, active1);
}
private int jjMoveStringLiteralDfa2_2(long old1, long active1)
{
   if (((active1 &= old1)) == 0L)
      return jjStartNfa_2(0, 0L, old1);
   try { curChar = input_stream.readChar(); }
   catch(java.io.IOException e) {
      jjStopStringLiteralDfa_2(1, 0L, active1);
      return 2;
   }
   switch(curChar)
   {
      case 123:
         if ((active1 & 0x40L) != 0L)
            return jjStopAtPos(2, 70);
         break;
      default :
         break;
   }
   return jjStartNfa_2(1, 0L, active1);
}
private int jjMoveNfa_2(int startState, int curPos)
{
   int startsAt = 0;
   jjnewStateCnt = 192;
   int i = 1;
   jjstateSet[0] = startState;
   int kind = 0x7fffffff;
   for (;;)
   {
      if (++jjround == 0x7fffffff)
         ReInitRounds();
      if (curChar < 64)
      {
         long l = 1L << curChar;
         do
         {
            switch(jjstateSet[--i])
            {
               case 192:
                  if ((0x3ff0000ffffd9ffL & l) != 0L)
                     jjCheckNAddStates(279, 283);
                  if ((0x3ff0000ffffd9ffL & l) != 0L)
                     jjCheckNAddStates(284, 288);
                  break;
               case 1:
                  if ((0x3ff0000ffffd9ffL & l) != 0L)
                  {
                     if (kind > 87)
                        kind = 87;
                     jjCheckNAddTwoStates(117, 118);
                  }
                  else if ((0xfc00fffe00000000L & l) != 0L)
                  {
                     if (kind > 88)
                        kind = 88;
                  }
                  else if ((0x2400L & l) != 0L)
                  {
                     if (kind > 86)
                        kind = 86;
                     jjCheckNAddTwoStates(189, 190);
                  }
                  else if ((0x100000200L & l) != 0L)
                  {
                     if (kind > 84)
                        kind = 84;
                     jjCheckNAddStates(289, 294);
                  }
                  if (curChar == 13)
                     jjAddStates(295, 296);
                  else if (curChar == 40)
                     jjCheckNAddStates(297, 299);
                  else if (curChar == 33)
                     jjAddStates(300, 301);
                  else if (curChar == 41)
                     jjstateSet[jjnewStateCnt++] = 115;
                  break;
               case 0:
                  if (curChar == 61 && kind > 10)
                     kind = 10;
                  break;
               case 4:
                  if (curChar == 58)
                     jjCheckNAddStates(302, 305);
                  break;
               case 6:
               case 7:
                  jjCheckNAddStates(302, 305);
                  break;
               case 18:
               case 19:
                  jjCheckNAddStates(306, 310);
                  break;
               case 25:
                  if (curChar != 58)
                     break;
                  if (kind > 80)
                     kind = 80;
                  jjCheckNAddTwoStates(26, 27);
                  break;
               case 26:
                  if ((0xfffffffeffffd9ffL & l) == 0L)
                     break;
                  if (kind > 80)
                     kind = 80;
                  jjCheckNAddTwoStates(26, 27);
                  break;
               case 28:
                  if (kind > 80)
                     kind = 80;
                  jjCheckNAddTwoStates(26, 27);
                  break;
               case 29:
                  if ((0x3ff0000ffffd9ffL & l) == 0L)
                     break;
                  if (kind > 80)
                     kind = 80;
                  jjCheckNAddTwoStates(26, 27);
                  break;
               case 30:
                  if ((0xfc00fffe00000000L & l) == 0L)
                     break;
                  if (kind > 80)
                     kind = 80;
                  jjCheckNAddTwoStates(26, 27);
                  break;
               case 36:
                  if (curChar != 58)
                     break;
                  if (kind > 81)
                     kind = 81;
                  jjCheckNAddTwoStates(37, 38);
                  break;
               case 37:
                  if ((0xfffffffeffffd9ffL & l) == 0L)
                     break;
                  if (kind > 81)
                     kind = 81;
                  jjCheckNAddTwoStates(37, 38);
                  break;
               case 39:
                  if (kind > 81)
                     kind = 81;
                  jjCheckNAddTwoStates(37, 38);
                  break;
               case 40:
                  if ((0x3ff0000ffffd9ffL & l) == 0L)
                     break;
                  if (kind > 81)
                     kind = 81;
                  jjCheckNAddTwoStates(37, 38);
                  break;
               case 41:
                  if ((0xfc00fffe00000000L & l) == 0L)
                     break;
                  if (kind > 81)
                     kind = 81;
                  jjCheckNAddTwoStates(37, 38);
                  break;
               case 48:
                  if (curChar == 58)
                     jjAddStates(311, 313);
                  break;
               case 49:
                  if (curChar != 47)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(314, 317);
                  break;
               case 50:
                  if ((0x2fff6fd200000000L & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(318, 322);
                  break;
               case 51:
                  if (curChar == 37)
                     jjstateSet[jjnewStateCnt++] = 52;
                  break;
               case 52:
                  if ((0x3ff000000000000L & l) != 0L)
                     jjstateSet[jjnewStateCnt++] = 53;
                  break;
               case 53:
                  if ((0x3ff000000000000L & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(318, 322);
                  break;
               case 54:
                  if (curChar != 47)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(323, 327);
                  break;
               case 55:
                  if ((0x2fff6fd200000000L & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(323, 327);
                  break;
               case 56:
                  if (curChar == 37)
                     jjstateSet[jjnewStateCnt++] = 57;
                  break;
               case 57:
                  if ((0x3ff000000000000L & l) != 0L)
                     jjstateSet[jjnewStateCnt++] = 58;
                  break;
               case 58:
                  if ((0x3ff000000000000L & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(323, 327);
                  break;
               case 59:
                  if (curChar != 63)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(328, 330);
                  break;
               case 60:
                  if ((0xafffefd200000000L & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(328, 330);
                  break;
               case 61:
                  if (curChar == 37)
                     jjstateSet[jjnewStateCnt++] = 62;
                  break;
               case 62:
                  if ((0x3ff000000000000L & l) != 0L)
                     jjstateSet[jjnewStateCnt++] = 63;
                  break;
               case 63:
                  if ((0x3ff000000000000L & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(328, 330);
                  break;
               case 64:
                  if (curChar != 35)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddTwoStates(65, 66);
                  break;
               case 65:
                  if ((0xafffefd200000000L & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddTwoStates(65, 66);
                  break;
               case 66:
                  if (curChar == 37)
                     jjstateSet[jjnewStateCnt++] = 67;
                  break;
               case 67:
                  if ((0x3ff000000000000L & l) != 0L)
                     jjstateSet[jjnewStateCnt++] = 68;
                  break;
               case 68:
                  if ((0x3ff000000000000L & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddTwoStates(65, 66);
                  break;
               case 69:
                  if (curChar == 37)
                     jjstateSet[jjnewStateCnt++] = 70;
                  break;
               case 70:
                  if ((0x3ff000000000000L & l) != 0L)
                     jjstateSet[jjnewStateCnt++] = 71;
                  break;
               case 71:
                  if ((0x3ff000000000000L & l) != 0L)
                     jjCheckNAddTwoStates(72, 75);
                  break;
               case 72:
                  if (curChar == 37)
                     jjstateSet[jjnewStateCnt++] = 73;
                  break;
               case 73:
                  if ((0x3ff000000000000L & l) != 0L)
                     jjstateSet[jjnewStateCnt++] = 74;
                  break;
               case 74:
                  if ((0x3ff000000000000L & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(331, 335);
                  break;
               case 75:
                  if ((0x2bff6fd200000000L & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(331, 335);
                  break;
               case 76:
                  if (curChar != 47)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(336, 340);
                  break;
               case 77:
                  if ((0x2fff6fd200000000L & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(336, 340);
                  break;
               case 78:
                  if (curChar == 37)
                     jjstateSet[jjnewStateCnt++] = 79;
                  break;
               case 79:
                  if ((0x3ff000000000000L & l) != 0L)
                     jjstateSet[jjnewStateCnt++] = 80;
                  break;
               case 80:
                  if ((0x3ff000000000000L & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(336, 340);
                  break;
               case 81:
                  if ((0x2bff6fd200000000L & l) != 0L)
                     jjCheckNAddTwoStates(72, 75);
                  break;
               case 89:
                  if ((0x3ff680000000000L & l) != 0L)
                     jjCheckNAddStates(341, 343);
                  break;
               case 90:
                  if (curChar == 58)
                     jjstateSet[jjnewStateCnt++] = 91;
                  break;
               case 92:
                  if ((0x3ff680000000000L & l) != 0L)
                     jjCheckNAddStates(344, 346);
                  break;
               case 93:
                  if (curChar != 47)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(347, 354);
                  break;
               case 94:
                  if ((0x2fff6fd200000000L & l) != 0L)
                     jjCheckNAddStates(355, 357);
                  break;
               case 95:
                  if (curChar == 37)
                     jjCheckNAdd(96);
                  break;
               case 96:
                  if ((0x3ff000000000000L & l) != 0L)
                     jjstateSet[jjnewStateCnt++] = 97;
                  break;
               case 97:
                  if ((0x3ff000000000000L & l) != 0L)
                     jjCheckNAddStates(355, 357);
                  break;
               case 99:
                  if (curChar == 37)
                     jjCheckNAdd(100);
                  break;
               case 100:
                  if ((0x3ff000000000000L & l) != 0L)
                     jjstateSet[jjnewStateCnt++] = 101;
                  break;
               case 101:
                  if ((0x3ff000000000000L & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(358, 363);
                  break;
               case 102:
                  if ((0x2bff6fd200000000L & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(358, 363);
                  break;
               case 103:
                  if (curChar == 58)
                     jjCheckNAdd(104);
                  break;
               case 104:
                  if ((0x3ff000000000000L & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(364, 367);
                  break;
               case 105:
                  if (curChar != 47)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(368, 372);
                  break;
               case 106:
                  if ((0x2fff6fd200000000L & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(368, 372);
                  break;
               case 107:
                  if (curChar == 37)
                     jjstateSet[jjnewStateCnt++] = 108;
                  break;
               case 108:
                  if ((0x3ff000000000000L & l) != 0L)
                     jjstateSet[jjnewStateCnt++] = 109;
                  break;
               case 109:
                  if ((0x3ff000000000000L & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(368, 372);
                  break;
               case 110:
                  if (curChar == 37)
                     jjCheckNAddTwoStates(96, 100);
                  break;
               case 111:
                  if (curChar == 47)
                     jjstateSet[jjnewStateCnt++] = 93;
                  break;
               case 112:
                  if (curChar == 58)
                     jjstateSet[jjnewStateCnt++] = 111;
                  break;
               case 113:
                  if (curChar != 41)
                     break;
                  if (kind > 85)
                     kind = 85;
                  jjCheckNAdd(114);
                  break;
               case 114:
                  if ((0x100000200L & l) == 0L)
                     break;
                  if (kind > 85)
                     kind = 85;
                  jjCheckNAdd(114);
                  break;
               case 115:
                  if (curChar == 41)
                     jjstateSet[jjnewStateCnt++] = 113;
                  break;
               case 116:
                  if (curChar == 41)
                     jjstateSet[jjnewStateCnt++] = 115;
                  break;
               case 117:
                  if ((0x3ff0000ffffd9ffL & l) == 0L)
                     break;
                  if (kind > 87)
                     kind = 87;
                  jjCheckNAddTwoStates(117, 118);
                  break;
               case 119:
                  if ((0xfc00fffe00000000L & l) != 0L && kind > 88)
                     kind = 88;
                  break;
               case 120:
                  if (curChar == 33)
                     jjAddStates(300, 301);
                  break;
               case 121:
                  if (curChar == 33 && kind > 11)
                     kind = 11;
                  break;
               case 122:
                  if (curChar == 40)
                     jjCheckNAddStates(297, 299);
                  break;
               case 123:
                  if (curChar == 37)
                     jjCheckNAddStates(373, 376);
                  break;
               case 125:
                  jjCheckNAddStates(373, 376);
                  break;
               case 126:
                  if ((0xffffffdfffffffffL & l) != 0L)
                     jjCheckNAddStates(373, 376);
                  break;
               case 127:
                  if (curChar == 37)
                     jjstateSet[jjnewStateCnt++] = 128;
                  break;
               case 128:
                  if ((0xfffffdffffffffffL & l) != 0L)
                     jjCheckNAddStates(373, 376);
                  break;
               case 129:
                  if (curChar == 41)
                     jjCheckNAddStates(377, 380);
                  break;
               case 130:
                  if ((0x100000200L & l) != 0L)
                     jjCheckNAddStates(377, 380);
                  break;
               case 131:
                  if (curChar == 10)
                     jjCheckNAddTwoStates(132, 135);
                  break;
               case 132:
                  if ((0x100000200L & l) != 0L)
                     jjCheckNAddTwoStates(132, 135);
                  break;
               case 133:
                  if (curChar == 40 && kind > 66)
                     kind = 66;
                  break;
               case 134:
                  if (curChar == 40)
                     jjstateSet[jjnewStateCnt++] = 133;
                  break;
               case 135:
                  if (curChar == 40)
                     jjstateSet[jjnewStateCnt++] = 134;
                  break;
               case 136:
                  if (curChar == 13)
                     jjstateSet[jjnewStateCnt++] = 131;
                  break;
               case 137:
                  if ((0x2400L & l) != 0L)
                     jjCheckNAddTwoStates(132, 135);
                  break;
               case 138:
                  if (curChar == 37)
                     jjstateSet[jjnewStateCnt++] = 129;
                  break;
               case 139:
                  if (curChar == 37)
                     jjCheckNAddStates(381, 384);
                  break;
               case 141:
                  jjCheckNAddStates(381, 384);
                  break;
               case 142:
                  if ((0xffffffdfffffffffL & l) != 0L)
                     jjCheckNAddStates(381, 384);
                  break;
               case 143:
                  if (curChar == 37)
                     jjstateSet[jjnewStateCnt++] = 144;
                  break;
               case 144:
                  if ((0xfffffdffffffffffL & l) != 0L)
                     jjCheckNAddStates(381, 384);
                  break;
               case 145:
                  if (curChar == 41 && kind > 67)
                     kind = 67;
                  break;
               case 146:
                  if (curChar == 37)
                     jjstateSet[jjnewStateCnt++] = 145;
                  break;
               case 147:
                  if (curChar != 40)
                     break;
                  if (kind > 68)
                     kind = 68;
                  jjCheckNAdd(148);
                  break;
               case 148:
                  if ((0x100000200L & l) == 0L)
                     break;
                  if (kind > 68)
                     kind = 68;
                  jjCheckNAdd(148);
                  break;
               case 149:
                  if (curChar == 40)
                     jjstateSet[jjnewStateCnt++] = 147;
                  break;
               case 150:
                  if ((0x100000200L & l) == 0L)
                     break;
                  if (kind > 84)
                     kind = 84;
                  jjCheckNAddStates(289, 294);
                  break;
               case 151:
                  if ((0x100000200L & l) != 0L)
                     jjCheckNAddTwoStates(151, 152);
                  break;
               case 152:
                  if (curChar == 40)
                     jjCheckNAdd(149);
                  break;
               case 153:
                  if ((0x100000200L & l) == 0L)
                     break;
                  if (kind > 84)
                     kind = 84;
                  jjCheckNAddTwoStates(153, 154);
                  break;
               case 155:
                  if ((0x100000200L & l) != 0L)
                     jjCheckNAddTwoStates(155, 116);
                  break;
               case 158:
                  if ((0x3ff0000ffffd9ffL & l) != 0L)
                     jjCheckNAddStates(284, 288);
                  break;
               case 160:
                  if ((0x400600000000000L & l) != 0L)
                     jjCheckNAddTwoStates(161, 162);
                  break;
               case 161:
                  if ((0x3ff0000ffffd9ffL & l) != 0L)
                     jjCheckNAddStates(385, 389);
                  break;
               case 163:
                  if ((0x100000200L & l) != 0L)
                     jjCheckNAddStates(390, 393);
                  break;
               case 165:
               case 166:
                  jjCheckNAddStates(390, 393);
                  break;
               case 170:
                  if (curChar == 47)
                     jjstateSet[jjnewStateCnt++] = 169;
                  break;
               case 172:
                  if ((0x3ff0000ffffd9ffL & l) != 0L)
                     jjCheckNAddStates(279, 283);
                  break;
               case 174:
                  if ((0x400600000000000L & l) != 0L)
                     jjCheckNAddTwoStates(175, 176);
                  break;
               case 175:
                  if ((0x3ff0000ffffd9ffL & l) != 0L)
                     jjCheckNAddStates(394, 398);
                  break;
               case 177:
                  if ((0x100000200L & l) != 0L)
                     jjCheckNAddStates(399, 402);
                  break;
               case 179:
               case 180:
                  jjCheckNAddStates(399, 402);
                  break;
               case 185:
                  if (curChar == 13)
                     jjAddStates(295, 296);
                  break;
               case 186:
                  if (curChar == 10 && kind > 86)
                     kind = 86;
                  break;
               case 187:
                  if (curChar == 10)
                     jjCheckNAddTwoStates(189, 190);
                  break;
               case 188:
                  if (curChar == 10 && kind > 89)
                     kind = 89;
                  break;
               case 189:
                  if (curChar == 13)
                     jjstateSet[jjnewStateCnt++] = 188;
                  break;
               case 190:
                  if ((0x2400L & l) != 0L && kind > 89)
                     kind = 89;
                  break;
               case 191:
                  if ((0x2400L & l) == 0L)
                     break;
                  if (kind > 86)
                     kind = 86;
                  jjCheckNAddTwoStates(189, 190);
                  break;
               default : break;
            }
         } while(i != startsAt);
      }
      else if (curChar < 128)
      {
         long l = 1L << (curChar & 077);
         do
         {
            switch(jjstateSet[--i])
            {
               case 157:
                  if (curChar == 123)
                     jjCheckNAddTwoStates(172, 173);
                  if (curChar == 123)
                     jjCheckNAddTwoStates(158, 159);
                  break;
               case 192:
                  if ((0x87fffffe07fffffeL & l) != 0L)
                     jjCheckNAddStates(279, 283);
                  else if (curChar == 126)
                     jjCheckNAdd(172);
                  if ((0x87fffffe07fffffeL & l) != 0L)
                     jjCheckNAddStates(284, 288);
                  else if (curChar == 126)
                     jjCheckNAdd(158);
                  break;
               case 1:
                  if ((0x87fffffe07fffffeL & l) != 0L)
                  {
                     if (kind > 87)
                        kind = 87;
                     jjCheckNAddTwoStates(117, 118);
                  }
                  else if ((0x78000001f8000001L & l) != 0L)
                  {
                     if (kind > 88)
                        kind = 88;
                  }
                  if ((0x7fffffe07fffffeL & l) != 0L)
                     jjCheckNAddStates(341, 343);
                  else if (curChar == 126)
                     jjCheckNAddStates(403, 405);
                  else if (curChar == 123)
                     jjAddStates(406, 407);
                  else if (curChar == 91)
                     jjstateSet[jjnewStateCnt++] = 3;
                  else if (curChar == 124)
                  {
                     if (kind > 11)
                        kind = 11;
                  }
                  if (curChar == 109)
                     jjstateSet[jjnewStateCnt++] = 86;
                  else if (curChar == 97)
                     jjstateSet[jjnewStateCnt++] = 46;
                  else if (curChar == 105)
                     jjstateSet[jjnewStateCnt++] = 34;
                  else if (curChar == 124)
                     jjstateSet[jjnewStateCnt++] = 0;
                  break;
               case 2:
                  if (curChar == 124 && kind > 11)
                     kind = 11;
                  break;
               case 3:
                  if (curChar == 91)
                     jjCheckNAddStates(306, 310);
                  break;
               case 5:
                  if (curChar == 126)
                     jjstateSet[jjnewStateCnt++] = 6;
                  break;
               case 6:
                  jjCheckNAddStates(302, 305);
                  break;
               case 7:
                  if ((0xffffffffdfffffffL & l) != 0L)
                     jjCheckNAddStates(302, 305);
                  break;
               case 8:
                  if (curChar == 93)
                     jjCheckNAdd(7);
                  break;
               case 9:
                  if (curChar == 93)
                     jjCheckNAddStates(306, 310);
                  break;
               case 10:
                  if (curChar == 101)
                     jjstateSet[jjnewStateCnt++] = 4;
                  break;
               case 11:
                  if (curChar == 103)
                     jjstateSet[jjnewStateCnt++] = 10;
                  break;
               case 12:
                  if (curChar == 97)
                     jjstateSet[jjnewStateCnt++] = 11;
                  break;
               case 13:
                  if (curChar == 109)
                     jjstateSet[jjnewStateCnt++] = 12;
                  break;
               case 14:
                  if (curChar == 105)
                     jjstateSet[jjnewStateCnt++] = 13;
                  break;
               case 15:
                  if (curChar == 91)
                     jjstateSet[jjnewStateCnt++] = 14;
                  break;
               case 16:
                  if (curChar == 91)
                     jjstateSet[jjnewStateCnt++] = 15;
                  break;
               case 17:
                  if (curChar == 126)
                     jjstateSet[jjnewStateCnt++] = 18;
                  break;
               case 18:
                  jjCheckNAddStates(306, 310);
                  break;
               case 19:
                  if ((0xffffffffdfffffffL & l) != 0L)
                     jjCheckNAddStates(306, 310);
                  break;
               case 20:
                  if (curChar == 93)
                     jjCheckNAdd(19);
                  break;
               case 21:
                  if (curChar == 93 && kind > 69)
                     kind = 69;
                  break;
               case 22:
                  if (curChar == 93)
                     jjstateSet[jjnewStateCnt++] = 21;
                  break;
               case 23:
                  if (curChar == 93)
                     jjstateSet[jjnewStateCnt++] = 9;
                  break;
               case 24:
                  if (curChar == 91)
                     jjstateSet[jjnewStateCnt++] = 3;
                  break;
               case 26:
               case 28:
                  if (kind > 80)
                     kind = 80;
                  jjCheckNAddTwoStates(26, 27);
                  break;
               case 27:
                  if (curChar == 126)
                     jjAddStates(408, 410);
                  break;
               case 29:
                  if ((0x87fffffe07fffffeL & l) == 0L)
                     break;
                  if (kind > 80)
                     kind = 80;
                  jjCheckNAddTwoStates(26, 27);
                  break;
               case 30:
                  if ((0x78000001f8000001L & l) == 0L)
                     break;
                  if (kind > 80)
                     kind = 80;
                  jjCheckNAddTwoStates(26, 27);
                  break;
               case 31:
                  if (curChar == 101)
                     jjstateSet[jjnewStateCnt++] = 25;
                  break;
               case 32:
                  if (curChar == 103)
                     jjstateSet[jjnewStateCnt++] = 31;
                  break;
               case 33:
                  if (curChar == 97)
                     jjstateSet[jjnewStateCnt++] = 32;
                  break;
               case 34:
                  if (curChar == 109)
                     jjstateSet[jjnewStateCnt++] = 33;
                  break;
               case 35:
                  if (curChar == 105)
                     jjstateSet[jjnewStateCnt++] = 34;
                  break;
               case 37:
               case 39:
                  if (kind > 81)
                     kind = 81;
                  jjCheckNAddTwoStates(37, 38);
                  break;
               case 38:
                  if (curChar == 126)
                     jjAddStates(411, 413);
                  break;
               case 40:
                  if ((0x87fffffe07fffffeL & l) == 0L)
                     break;
                  if (kind > 81)
                     kind = 81;
                  jjCheckNAddTwoStates(37, 38);
                  break;
               case 41:
                  if ((0x78000001f8000001L & l) == 0L)
                     break;
                  if (kind > 81)
                     kind = 81;
                  jjCheckNAddTwoStates(37, 38);
                  break;
               case 42:
                  if (curChar == 104)
                     jjstateSet[jjnewStateCnt++] = 36;
                  break;
               case 43:
                  if (curChar == 99)
                     jjstateSet[jjnewStateCnt++] = 42;
                  break;
               case 44:
                  if (curChar == 97)
                     jjstateSet[jjnewStateCnt++] = 43;
                  break;
               case 45:
                  if (curChar == 116)
                     jjstateSet[jjnewStateCnt++] = 44;
                  break;
               case 46:
                  if (curChar == 116)
                     jjstateSet[jjnewStateCnt++] = 45;
                  break;
               case 47:
                  if (curChar == 97)
                     jjstateSet[jjnewStateCnt++] = 46;
                  break;
               case 50:
                  if ((0x47fffffe87ffffffL & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(318, 322);
                  break;
               case 52:
                  if ((0x7e0000007eL & l) != 0L)
                     jjstateSet[jjnewStateCnt++] = 53;
                  break;
               case 53:
                  if ((0x7e0000007eL & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(318, 322);
                  break;
               case 55:
                  if ((0x47fffffe87ffffffL & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(323, 327);
                  break;
               case 57:
                  if ((0x7e0000007eL & l) != 0L)
                     jjstateSet[jjnewStateCnt++] = 58;
                  break;
               case 58:
                  if ((0x7e0000007eL & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(323, 327);
                  break;
               case 60:
                  if ((0x47fffffe87ffffffL & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(328, 330);
                  break;
               case 62:
                  if ((0x7e0000007eL & l) != 0L)
                     jjstateSet[jjnewStateCnt++] = 63;
                  break;
               case 63:
                  if ((0x7e0000007eL & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(328, 330);
                  break;
               case 65:
                  if ((0x47fffffe87ffffffL & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddTwoStates(65, 66);
                  break;
               case 67:
                  if ((0x7e0000007eL & l) != 0L)
                     jjstateSet[jjnewStateCnt++] = 68;
                  break;
               case 68:
                  if ((0x7e0000007eL & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddTwoStates(65, 66);
                  break;
               case 70:
                  if ((0x7e0000007eL & l) != 0L)
                     jjstateSet[jjnewStateCnt++] = 71;
                  break;
               case 71:
                  if ((0x7e0000007eL & l) != 0L)
                     jjCheckNAddTwoStates(72, 75);
                  break;
               case 73:
                  if ((0x7e0000007eL & l) != 0L)
                     jjstateSet[jjnewStateCnt++] = 74;
                  break;
               case 74:
                  if ((0x7e0000007eL & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(331, 335);
                  break;
               case 75:
                  if ((0x47fffffe87ffffffL & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(331, 335);
                  break;
               case 77:
                  if ((0x47fffffe87ffffffL & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(336, 340);
                  break;
               case 79:
                  if ((0x7e0000007eL & l) != 0L)
                     jjstateSet[jjnewStateCnt++] = 80;
                  break;
               case 80:
                  if ((0x7e0000007eL & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(336, 340);
                  break;
               case 81:
                  if ((0x47fffffe87fffffeL & l) != 0L)
                     jjCheckNAddTwoStates(72, 75);
                  break;
               case 82:
                  if (curChar == 111)
                     jjstateSet[jjnewStateCnt++] = 48;
                  break;
               case 83:
                  if (curChar == 116)
                     jjstateSet[jjnewStateCnt++] = 82;
                  break;
               case 84:
                  if (curChar == 108)
                     jjstateSet[jjnewStateCnt++] = 83;
                  break;
               case 85:
                  if (curChar == 105)
                     jjstateSet[jjnewStateCnt++] = 84;
                  break;
               case 86:
                  if (curChar == 97)
                     jjstateSet[jjnewStateCnt++] = 85;
                  break;
               case 87:
                  if (curChar == 109)
                     jjstateSet[jjnewStateCnt++] = 86;
                  break;
               case 88:
               case 89:
                  if ((0x7fffffe07fffffeL & l) != 0L)
                     jjCheckNAddStates(341, 343);
                  break;
               case 91:
               case 92:
                  if ((0x7fffffe07fffffeL & l) != 0L)
                     jjCheckNAddStates(344, 346);
                  break;
               case 94:
                  if ((0x47fffffe87fffffeL & l) != 0L)
                     jjCheckNAddStates(355, 357);
                  break;
               case 96:
                  if ((0x7e0000007eL & l) != 0L)
                     jjstateSet[jjnewStateCnt++] = 97;
                  break;
               case 97:
                  if ((0x7e0000007eL & l) != 0L)
                     jjCheckNAddStates(355, 357);
                  break;
               case 98:
                  if (curChar != 64)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(358, 363);
                  break;
               case 100:
                  if ((0x7e0000007eL & l) != 0L)
                     jjstateSet[jjnewStateCnt++] = 101;
                  break;
               case 101:
                  if ((0x7e0000007eL & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(358, 363);
                  break;
               case 102:
                  if ((0x47fffffe87fffffeL & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(358, 363);
                  break;
               case 106:
                  if ((0x47fffffe87ffffffL & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(368, 372);
                  break;
               case 108:
                  if ((0x7e0000007eL & l) != 0L)
                     jjstateSet[jjnewStateCnt++] = 109;
                  break;
               case 109:
                  if ((0x7e0000007eL & l) == 0L)
                     break;
                  if (kind > 83)
                     kind = 83;
                  jjCheckNAddStates(368, 372);
                  break;
               case 117:
                  if ((0x87fffffe07fffffeL & l) == 0L)
                     break;
                  if (kind > 87)
                     kind = 87;
                  jjCheckNAddTwoStates(117, 118);
                  break;
               case 118:
                  if (curChar == 126)
                     jjCheckNAdd(117);
                  break;
               case 119:
                  if ((0x78000001f8000001L & l) != 0L && kind > 88)
                     kind = 88;
                  break;
               case 124:
                  if (curChar == 126)
                     jjstateSet[jjnewStateCnt++] = 125;
                  break;
               case 125:
               case 126:
               case 128:
                  jjCheckNAddStates(373, 376);
                  break;
               case 140:
                  if (curChar == 126)
                     jjstateSet[jjnewStateCnt++] = 141;
                  break;
               case 141:
               case 142:
               case 144:
                  jjCheckNAddStates(381, 384);
                  break;
               case 154:
                  if (curChar == 126)
                     jjCheckNAdd(153);
                  break;
               case 156:
                  if (curChar == 123)
                     jjAddStates(406, 407);
                  break;
               case 158:
                  if ((0x87fffffe07fffffeL & l) != 0L)
                     jjCheckNAddStates(284, 288);
                  break;
               case 159:
                  if (curChar == 126)
                     jjCheckNAdd(158);
                  break;
               case 160:
                  if (curChar == 95)
                     jjCheckNAddTwoStates(161, 162);
                  break;
               case 161:
                  if ((0x87fffffe07fffffeL & l) != 0L)
                     jjCheckNAddStates(385, 389);
                  break;
               case 162:
                  if (curChar == 126)
                     jjCheckNAdd(161);
                  break;
               case 164:
                  if (curChar == 126)
                     jjstateSet[jjnewStateCnt++] = 165;
                  break;
               case 165:
                  jjCheckNAddStates(390, 393);
                  break;
               case 166:
                  if ((0xdfffffffffffffffL & l) != 0L)
                     jjCheckNAddStates(390, 393);
                  break;
               case 167:
                  if (curChar == 125)
                     jjCheckNAdd(166);
                  break;
               case 168:
                  if (curChar == 125 && kind > 71)
                     kind = 71;
                  break;
               case 169:
                  if (curChar == 125)
                     jjstateSet[jjnewStateCnt++] = 168;
                  break;
               case 171:
                  if (curChar == 123)
                     jjCheckNAddTwoStates(172, 173);
                  break;
               case 172:
                  if ((0x87fffffe07fffffeL & l) != 0L)
                     jjCheckNAddStates(279, 283);
                  break;
               case 173:
                  if (curChar == 126)
                     jjCheckNAdd(172);
                  break;
               case 174:
                  if (curChar == 95)
                     jjCheckNAddTwoStates(175, 176);
                  break;
               case 175:
                  if ((0x87fffffe07fffffeL & l) != 0L)
                     jjCheckNAddStates(394, 398);
                  break;
               case 176:
                  if (curChar == 126)
                     jjCheckNAdd(175);
                  break;
               case 178:
                  if (curChar == 126)
                     jjstateSet[jjnewStateCnt++] = 179;
                  break;
               case 179:
                  jjCheckNAddStates(399, 402);
                  break;
               case 180:
                  if ((0xdfffffffffffffffL & l) != 0L)
                     jjCheckNAddStates(399, 402);
                  break;
               case 181:
                  if (curChar == 125)
                     jjCheckNAdd(180);
                  break;
               case 182:
                  if (curChar == 125 && kind > 72)
                     kind = 72;
                  break;
               case 183:
                  if (curChar == 125)
                     jjstateSet[jjnewStateCnt++] = 182;
                  break;
               case 184:
                  if (curChar == 126)
                     jjCheckNAddStates(403, 405);
                  break;
               default : break;
            }
         } while(i != startsAt);
      }
      else
      {
         int hiByte = (int)(curChar >> 8);
         int i1 = hiByte >> 6;
         long l1 = 1L << (hiByte & 077);
         int i2 = (curChar & 0xff) >> 6;
         long l2 = 1L << (curChar & 077);
         do
         {
            switch(jjstateSet[--i])
            {
               case 192:
                  if (jjCanMove_0(hiByte, i1, i2, l1, l2))
                     jjCheckNAddStates(284, 288);
                  if (jjCanMove_0(hiByte, i1, i2, l1, l2))
                     jjCheckNAddStates(279, 283);
                  break;
               case 1:
               case 117:
                  if (!jjCanMove_0(hiByte, i1, i2, l1, l2))
                     break;
                  if (kind > 87)
                     kind = 87;
                  jjCheckNAddTwoStates(117, 118);
                  break;
               case 6:
               case 7:
                  if (jjCanMove_0(hiByte, i1, i2, l1, l2))
                     jjCheckNAddStates(302, 305);
                  break;
               case 18:
               case 19:
                  if (jjCanMove_0(hiByte, i1, i2, l1, l2))
                     jjCheckNAddStates(306, 310);
                  break;
               case 26:
               case 28:
               case 29:
                  if (!jjCanMove_0(hiByte, i1, i2, l1, l2))
                     break;
                  if (kind > 80)
                     kind = 80;
                  jjCheckNAddTwoStates(26, 27);
                  break;
               case 37:
               case 39:
               case 40:
                  if (!jjCanMove_0(hiByte, i1, i2, l1, l2))
                     break;
                  if (kind > 81)
                     kind = 81;
                  jjCheckNAddTwoStates(37, 38);
                  break;
               case 125:
               case 126:
               case 128:
                  if (jjCanMove_0(hiByte, i1, i2, l1, l2))
                     jjCheckNAddStates(373, 376);
                  break;
               case 141:
               case 142:
               case 144:
                  if (jjCanMove_0(hiByte, i1, i2, l1, l2))
                     jjCheckNAddStates(381, 384);
                  break;
               case 158:
                  if (jjCanMove_0(hiByte, i1, i2, l1, l2))
                     jjCheckNAddStates(284, 288);
                  break;
               case 161:
                  if (jjCanMove_0(hiByte, i1, i2, l1, l2))
                     jjCheckNAddStates(385, 389);
                  break;
               case 165:
               case 166:
                  if (jjCanMove_0(hiByte, i1, i2, l1, l2))
                     jjCheckNAddStates(390, 393);
                  break;
               case 172:
                  if (jjCanMove_0(hiByte, i1, i2, l1, l2))
                     jjCheckNAddStates(279, 283);
                  break;
               case 175:
                  if (jjCanMove_0(hiByte, i1, i2, l1, l2))
                     jjCheckNAddStates(394, 398);
                  break;
               case 179:
               case 180:
                  if (jjCanMove_0(hiByte, i1, i2, l1, l2))
                     jjCheckNAddStates(399, 402);
                  break;
               default : break;
            }
         } while(i != startsAt);
      }
      if (kind != 0x7fffffff)
      {
         jjmatchedKind = kind;
         jjmatchedPos = curPos;
         kind = 0x7fffffff;
      }
      ++curPos;
      if ((i = jjnewStateCnt) == (startsAt = 192 - (jjnewStateCnt = startsAt)))
         return curPos;
      try { curChar = input_stream.readChar(); }
      catch(java.io.IOException e) { return curPos; }
   }
}
static final int[] jjnextStates = {
   23, 0, 24, 2, 5, 8, 26, 35, 46, 13, 21, 2, 3, 4, 24, 2, 
   5, 8, 27, 29, 30, 34, 33, 14, 15, 20, 36, 38, 39, 45, 43, 44, 
   47, 49, 50, 61, 53, 59, 60, 58, 146, 147, 148, 149, 150, 113, 181, 182, 
   118, 134, 144, 167, 168, 169, 172, 178, 153, 154, 155, 158, 165, 2, 4, 5, 
   20, 13, 14, 16, 17, 19, 46, 66, 78, 47, 48, 56, 61, 47, 48, 51, 
   56, 61, 51, 52, 53, 56, 61, 57, 58, 61, 69, 72, 73, 56, 61, 73, 
   74, 75, 56, 61, 86, 87, 109, 87, 89, 109, 91, 95, 99, 100, 102, 56, 
   61, 107, 92, 91, 95, 96, 99, 100, 102, 56, 61, 101, 102, 56, 61, 102, 
   103, 104, 56, 61, 119, 121, 122, 133, 125, 131, 132, 130, 135, 137, 138, 141, 
   155, 156, 157, 158, 165, 159, 161, 162, 165, 169, 170, 171, 172, 178, 173, 175, 
   176, 178, 148, 114, 116, 152, 166, 25, 26, 27, 36, 37, 38, 8, 9, 10, 
   13, 19, 10, 11, 12, 13, 19, 14, 16, 17, 19, 21, 22, 23, 26, 28, 
   23, 24, 25, 26, 28, 7, 29, 4, 5, 0, 2, 3, 6, 7, 10, 186, 
   187, 188, 191, 197, 172, 173, 174, 177, 184, 136, 137, 142, 143, 118, 119, 123, 
   124, 125, 129, 130, 131, 132, 113, 146, 162, 128, 135, 139, 140, 119, 121, 122, 
   124, 119, 121, 122, 147, 149, 150, 161, 153, 159, 160, 158, 163, 165, 166, 169, 
   174, 175, 176, 177, 184, 178, 180, 181, 184, 188, 189, 190, 191, 197, 192, 194, 
   195, 197, 130, 114, 116, 171, 185, 172, 173, 174, 177, 183, 158, 159, 160, 163, 
   170, 151, 152, 153, 154, 155, 116, 186, 187, 123, 139, 149, 0, 121, 5, 7, 
   8, 23, 16, 17, 19, 20, 22, 49, 69, 81, 50, 51, 59, 64, 50, 51, 
   54, 59, 64, 54, 55, 56, 59, 64, 60, 61, 64, 72, 75, 76, 59, 64, 
   76, 77, 78, 59, 64, 89, 90, 112, 90, 92, 112, 94, 98, 102, 103, 105, 
   59, 64, 110, 95, 94, 98, 99, 102, 103, 105, 59, 64, 104, 105, 59, 64, 
   105, 106, 107, 59, 64, 124, 126, 127, 138, 130, 136, 137, 135, 140, 142, 143, 
   146, 160, 161, 162, 163, 170, 164, 166, 167, 170, 174, 175, 176, 177, 183, 178, 
   180, 181, 183, 153, 117, 119, 157, 171, 28, 29, 30, 39, 40, 41, 
};
private static final boolean jjCanMove_0(int hiByte, int i1, int i2, long l1, long l2)
{
   switch(hiByte)
   {
      case 0:
         return ((jjbitVec2[i2] & l2) != 0L);
      default :
         if ((jjbitVec0[i1] & l1) != 0L)
            return true;
         return false;
   }
}

/** Token literal values. */
public static final String[] jjstrLiteralImages = {
"", null, null, null, null, null, null, null, null, null, null, null, null, 
null, null, null, "\175\175\175", null, null, null, null, null, null, null, null, 
null, null, null, null, null, null, null, null, null, null, null, null, null, null, 
null, null, null, null, null, null, null, null, null, null, null, null, null, null, 
null, null, null, null, null, null, null, null, null, null, null, null, null, null, 
null, null, null, "\173\173\173", null, null, "\52\52", "\57\57", "\55\55", 
"\137\137", "\136\136", "\54\54", "\43\43", null, null, "\134\134", null, null, null, null, 
null, null, null, null, null, };

/** Lexer state names. */
public static final String[] lexStateNames = {
   "DEFAULT",
   "BEGINNING_OF_LINE",
   "TABLE_CONTEXT",
   "HEADER_CONTEXT",
   "VERBATIM_CONTEXT",
   "MACRO_CONTEXT",
   "INLINE",
};

/** Lex State array. */
public static final int[] jjnewLexState = {
   -1, 1, -1, 6, 6, -1, -1, -1, 6, -1, -1, -1, 1, 6, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
   -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
   -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 1, -1, 4, -1, 5, -1, -1, 
   -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 1, -1, -1, 1, 1, 1, 
};
static final long[] jjtoToken = {
   0x1ffdfdL, 0xffffffcL, 
};
static final long[] jjtoSkip = {
   0x202L, 0x0L, 
};
protected SimpleCharStream input_stream;
private final int[] jjrounds = new int[199];
private final int[] jjstateSet = new int[398];
private final StringBuilder jjimage = new StringBuilder();
private StringBuilder image = jjimage;
private int jjimageLen;
private int lengthOfMatch;
protected char curChar;
/** Constructor. */
public XWikiScannerTokenManager(SimpleCharStream stream){
   if (SimpleCharStream.staticFlag)
      throw new Error("ERROR: Cannot use a static CharStream class with a non-static lexical analyzer.");
   input_stream = stream;
}

/** Constructor. */
public XWikiScannerTokenManager(SimpleCharStream stream, int lexState){
   this(stream);
   SwitchTo(lexState);
}

/** Reinitialise parser. */
public void ReInit(SimpleCharStream stream)
{
   jjmatchedPos = jjnewStateCnt = 0;
   curLexState = defaultLexState;
   input_stream = stream;
   ReInitRounds();
}
private void ReInitRounds()
{
   int i;
   jjround = 0x80000001;
   for (i = 199; i-- > 0;)
      jjrounds[i] = 0x80000000;
}

/** Reinitialise parser. */
public void ReInit(SimpleCharStream stream, int lexState)
{
   ReInit(stream);
   SwitchTo(lexState);
}

/** Switch to specified lex state. */
public void SwitchTo(int lexState)
{
   if (lexState >= 7 || lexState < 0)
      throw new TokenMgrError("Error: Ignoring invalid lexical state : " + lexState + ". State unchanged.", TokenMgrError.INVALID_LEXICAL_STATE);
   else
      curLexState = lexState;
}

protected Token jjFillToken()
{
   final Token t;
   final String curTokenImage;
   final int beginLine;
   final int endLine;
   final int beginColumn;
   final int endColumn;
   if (jjmatchedPos < 0)
   {
      if (image == null)
         curTokenImage = "";
      else
         curTokenImage = image.toString();
      beginLine = endLine = input_stream.getBeginLine();
      beginColumn = endColumn = input_stream.getBeginColumn();
   }
   else
   {
      String im = jjstrLiteralImages[jjmatchedKind];
      curTokenImage = (im == null) ? input_stream.GetImage() : im;
      beginLine = input_stream.getBeginLine();
      beginColumn = input_stream.getBeginColumn();
      endLine = input_stream.getEndLine();
      endColumn = input_stream.getEndColumn();
   }
   t = Token.newToken(jjmatchedKind, curTokenImage);

   t.beginLine = beginLine;
   t.endLine = endLine;
   t.beginColumn = beginColumn;
   t.endColumn = endColumn;

   return t;
}

int curLexState = 0;
int defaultLexState = 0;
int jjnewStateCnt;
int jjround;
int jjmatchedPos;
int jjmatchedKind;

/** Get the next Token. */
public Token getNextToken() 
{
  Token matchedToken;
  int curPos = 0;

  EOFLoop :
  for (;;)
  {
   try
   {
      curChar = input_stream.BeginToken();
   }
   catch(java.io.IOException e)
   {
      jjmatchedKind = 0;
      matchedToken = jjFillToken();
      return matchedToken;
   }
   image = jjimage;
   image.setLength(0);
   jjimageLen = 0;

   switch(curLexState)
   {
     case 0:
       jjmatchedKind = 1;
       jjmatchedPos = -1;
       curPos = 0;
       curPos = jjMoveStringLiteralDfa0_0();
       break;
     case 1:
       jjmatchedKind = 9;
       jjmatchedPos = -1;
       curPos = 0;
       curPos = jjMoveStringLiteralDfa0_1();
       break;
     case 2:
       jjmatchedKind = 0x7fffffff;
       jjmatchedPos = 0;
       curPos = jjMoveStringLiteralDfa0_2();
       break;
     case 3:
       jjmatchedKind = 0x7fffffff;
       jjmatchedPos = 0;
       curPos = jjMoveStringLiteralDfa0_3();
       break;
     case 4:
       jjmatchedKind = 0x7fffffff;
       jjmatchedPos = 0;
       curPos = jjMoveStringLiteralDfa0_4();
       break;
     case 5:
       jjmatchedKind = 0x7fffffff;
       jjmatchedPos = 0;
       curPos = jjMoveStringLiteralDfa0_5();
       break;
     case 6:
       jjmatchedKind = 0x7fffffff;
       jjmatchedPos = 0;
       curPos = jjMoveStringLiteralDfa0_6();
       break;
   }
     if (jjmatchedKind != 0x7fffffff)
     {
        if (jjmatchedPos + 1 < curPos)
           input_stream.backup(curPos - jjmatchedPos - 1);
        if ((jjtoToken[jjmatchedKind >> 6] & (1L << (jjmatchedKind & 077))) != 0L)
        {
           matchedToken = jjFillToken();
           TokenLexicalActions(matchedToken);
       if (jjnewLexState[jjmatchedKind] != -1)
         curLexState = jjnewLexState[jjmatchedKind];
           return matchedToken;
        }
        else
        {
           SkipLexicalActions(null);
         if (jjnewLexState[jjmatchedKind] != -1)
           curLexState = jjnewLexState[jjmatchedKind];
           continue EOFLoop;
        }
     }
     int error_line = input_stream.getEndLine();
     int error_column = input_stream.getEndColumn();
     String error_after = null;
     boolean EOFSeen = false;
     try { input_stream.readChar(); input_stream.backup(1); }
     catch (java.io.IOException e1) {
        EOFSeen = true;
        error_after = curPos <= 1 ? "" : input_stream.GetImage();
        if (curChar == '\n' || curChar == '\r') {
           error_line++;
           error_column = 0;
        }
        else
           error_column++;
     }
     if (!EOFSeen) {
        input_stream.backup(1);
        error_after = curPos <= 1 ? "" : input_stream.GetImage();
     }
     throw new TokenMgrError(EOFSeen, curLexState, error_line, error_column, error_after, curChar, TokenMgrError.LEXICAL_ERROR);
  }
}

int[] jjemptyLineNo = new int[7];
int[] jjemptyColNo = new int[7];
boolean[] jjbeenHere = new boolean[7];
void SkipLexicalActions(Token matchedToken)
{
   switch(jjmatchedKind)
   {
      case 1 :
         if (jjmatchedPos == -1)
         {
            if (jjbeenHere[0] &&
                jjemptyLineNo[0] == input_stream.getBeginLine() &&
                jjemptyColNo[0] == input_stream.getBeginColumn())
               throw new TokenMgrError(("Error: Bailing out of infinite loop caused by repeated empty string matches at line " + input_stream.getBeginLine() + ", column " + input_stream.getBeginColumn() + "."), TokenMgrError.LOOP_DETECTED);
            jjemptyLineNo[0] = input_stream.getBeginLine();
            jjemptyColNo[0] = input_stream.getBeginColumn();
            jjbeenHere[0] = true;
         }
         break;
      case 9 :
         if (jjmatchedPos == -1)
         {
            if (jjbeenHere[1] &&
                jjemptyLineNo[1] == input_stream.getBeginLine() &&
                jjemptyColNo[1] == input_stream.getBeginColumn())
               throw new TokenMgrError(("Error: Bailing out of infinite loop caused by repeated empty string matches at line " + input_stream.getBeginLine() + ", column " + input_stream.getBeginColumn() + "."), TokenMgrError.LOOP_DETECTED);
            jjemptyLineNo[1] = input_stream.getBeginLine();
            jjemptyColNo[1] = input_stream.getBeginColumn();
            jjbeenHere[1] = true;
         }
         image.append(input_stream.GetSuffix(jjimageLen + (lengthOfMatch = jjmatchedPos + 1)));
        returnFromBeginningOfLine();
         break;
      default :
         break;
   }
}
void TokenLexicalActions(Token matchedToken)
{
   switch(jjmatchedKind)
   {
      case 0 :
         break;
      case 2 :
        image.append(input_stream.GetSuffix(jjimageLen + (lengthOfMatch = jjmatchedPos + 1)));
                                                enterBlockState(HEADER_CONTEXT);
         break;
      case 3 :
        image.append(input_stream.GetSuffix(jjimageLen + (lengthOfMatch = jjmatchedPos + 1)));
                                                                                                                    clearBlockState();
         break;
      case 4 :
        image.append(input_stream.GetSuffix(jjimageLen + (lengthOfMatch = jjmatchedPos + 1)));
                                 clearBlockState();
         break;
      case 5 :
        image.append(input_stream.GetSuffix(jjimageLen + (lengthOfMatch = jjmatchedPos + 1)));
                                                             input_stream.backup(image.length()); enterBlockState(TABLE_CONTEXT);
         break;
      case 6 :
        image.append(input_stream.GetSuffix(jjimageLen + (lengthOfMatch = jjmatchedPos + 1)));
                                               clearBlockState();
         break;
      case 7 :
        image.append(input_stream.GetSuffix(jjimageLen + (lengthOfMatch = jjmatchedPos + 1)));
                                          matchedToken.kind = NL;
         break;
      case 8 :
        image.append(input_stream.GetSuffix(jjimageLen + (lengthOfMatch = jjmatchedPos + 1)));
                                   clearBlockState();
         break;
      case 12 :
        image.append(input_stream.GetSuffix(jjimageLen + (lengthOfMatch = jjmatchedPos + 1)));
                                                    clearBlockState();
         break;
      case 13 :
        image.append(input_stream.GetSuffix(jjimageLen + (lengthOfMatch = jjmatchedPos + 1)));
          clearBlockState();
          matchedToken.kind = HEADER_END;
         break;
      case 14 :
        image.append(input_stream.GetSuffix(jjimageLen + (lengthOfMatch = jjmatchedPos + 1)));
                                                              matchedToken.kind = HEADER_BEGIN;
         break;
      case 15 :
        image.append(input_stream.GetSuffix(jjimageLen + (lengthOfMatch = jjmatchedPos + 1)));
          verbatimBlockDepth++;
          matchedToken.kind = VERBATIM_CONTENT;
         break;
      case 16 :
        image.append(jjstrLiteralImages[16]);
        lengthOfMatch = jjstrLiteralImages[16].length();
            verbatimBlockDepth--;
            if (verbatimBlockDepth == 0)  {
                returnFromSpecialState();
            } else {
                matchedToken.kind = VERBATIM_CONTENT;
            }
         break;
      case 18 :
        image.append(input_stream.GetSuffix(jjimageLen + (lengthOfMatch = jjmatchedPos + 1)));
        {
            String name = getMacroName(image);
            if (name.equals(macroName)) {
                macroDepth++;
            }
            matchedToken.kind = MACRO_CONTENT;
        }
         break;
      case 19 :
        image.append(input_stream.GetSuffix(jjimageLen + (lengthOfMatch = jjmatchedPos + 1)));
        {
            String name = getMacroName(image);
            if (name.equals("/" + macroName)) {
                macroDepth--;
                if (macroDepth == 0) {
                    returnFromSpecialState();
                } else {
                     matchedToken.kind = MACRO_CONTENT;
                }
            } else {
                matchedToken.kind = MACRO_CONTENT;
            }
        }
         break;
      case 66 :
        image.append(input_stream.GetSuffix(jjimageLen + (lengthOfMatch = jjmatchedPos + 1)));
                                                                              input_stream.backup("(((".length());
         break;
      case 68 :
        image.append(input_stream.GetSuffix(jjimageLen + (lengthOfMatch = jjmatchedPos + 1)));
                                                  pushControlState();
         break;
      case 70 :
        image.append(jjstrLiteralImages[70]);
        lengthOfMatch = jjstrLiteralImages[70].length();
                                 verbatimBlockDepth++;
         break;
      case 72 :
        image.append(input_stream.GetSuffix(jjimageLen + (lengthOfMatch = jjmatchedPos + 1)));
                                                                           initMacro(image);
         break;
      case 85 :
        image.append(input_stream.GetSuffix(jjimageLen + (lengthOfMatch = jjmatchedPos + 1)));
       if (inEmbeddedDocument()) {
          popControlState();
       } else {
          /*
           * We must put back the spaces on the input stream.
           */
          String s = image.toString();
          int offset = s.indexOf(")))");
          if (offset > 0) {
             input_stream.backup(s.length() - offset);
             matchedToken.image = s.substring(0, offset);
             matchedToken.kind = XWIKI_SPACE;
          } else if (s.length() > ")))".length()) {
             matchedToken.image = s.substring(0, ")))".length());
             input_stream.backup(s.length() - ")))".length());
             matchedToken.kind = XWIKI_SPECIAL_SYMBOL;
          } else {
             matchedToken.kind = XWIKI_SPECIAL_SYMBOL;
          }
       }
         break;
      case 89 :
        image.append(input_stream.GetSuffix(jjimageLen + (lengthOfMatch = jjmatchedPos + 1)));
                                             clearBlockState();
         break;
      case 90 :
        image.append(input_stream.GetSuffix(jjimageLen + (lengthOfMatch = jjmatchedPos + 1)));
                                              clearBlockState();
         break;
      default :
         break;
   }
}
private void jjCheckNAdd(int state)
{
   if (jjrounds[state] != jjround)
   {
      jjstateSet[jjnewStateCnt++] = state;
      jjrounds[state] = jjround;
   }
}
private void jjAddStates(int start, int end)
{
   do {
      jjstateSet[jjnewStateCnt++] = jjnextStates[start];
   } while (start++ != end);
}
private void jjCheckNAddTwoStates(int state1, int state2)
{
   jjCheckNAdd(state1);
   jjCheckNAdd(state2);
}

private void jjCheckNAddStates(int start, int end)
{
   do {
      jjCheckNAdd(jjnextStates[start]);
   } while (start++ != end);
}

}
